package com.catarc.traceability.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;



/**
 * @ProjectName:traceability
 * @ClassName:Components.java
 * @Description: 制造管理详情查看实体类
 * @Copyright: Copyright (c) 2017
 * @author:zhengduoduo
 * @email: 1229784932@qq.com
 * @date 2017年8月30日 上午10:07:07
 * @version V1.0
 */

@Table(name="T_COMPON")
@Entity
public class Components implements Serializable {
	
	private static final long serialVersionUID = -7546210098766292084L;
	/*
	 * 零件号
	 */
	@Id
	@Column(name="PK_T_COMPON_ID")
    private String id;
    /*
     * VIN码
     */
	@Column(name="VIN")
    private String vin;
    
	/*
	 * 零件识别码
	 */
	@Column(name="COMPON_COD")
    private String componentsCode;
    /*
     * 关键件名称
     */
	@Column(name="BAT_NUM")
    private String batchNumber;
    /*
     * 零件全称
     */
	@Column(name="FULL_NM")
    private String fullName;
    /*
     * 装配工位
     */
	@Column(name="COMPON_LOCA")
    private String componentsLocation;
    /*
     * 装配人员
     */
	@Column(name="ASSEMB_PER")
    private String assemblyPerson;
    /*
     * 装配时间
     */
	@Column(name="ASSEMB_TIME")
    private Date assemblyTime;
    /*
     * 创建时间
     */
	@Column(name="CTIME")
    private Date createTime;
    /*
     * 修改时间
     */
	@Column(name="UTIME")
    private Date updateTime;
    /*
     * 删除标识
     */
	@Column(name="DEFLAG")
    private Integer delFlag;
    /*
     * 导入来源
     */
	@Column(name="COMPON_IMP")
    private String componentsImport;
    /*
     * 操作人
     */
	@Column(name="COMPON_OPER")
    private String componentsOpearter;
	
	/*
	 * 自定义字段
	 */
	@Transient
	private String str;
	
	/**
	 * 分页参数
	 */
	private Integer page;
	/**
	 * 分页
	 */
	private Integer limit;
	
    public String getStr() {
		return str;
	}

	public void setStr(String str) {
		this.str = str;
	}

	
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getVin() {
        return vin;
    }

    public void setVin(String vin) {
        this.vin = vin;
    }

    public String getComponentsCode() {
        return componentsCode;
    }

    public void setComponentsCode(String componentsCode) {
        this.componentsCode = componentsCode;
    }

    public String getBatchNumber() {
        return batchNumber;
    }

    public void setBatchNumber(String batchNumber) {
        this.batchNumber = batchNumber;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getComponentsLocation() {
        return componentsLocation;
    }

    public void setComponentsLocation(String componentsLocation) {
        this.componentsLocation = componentsLocation;
    }

    public String getAssemblyPerson() {
        return assemblyPerson;
    }

    public void setAssemblyPerson(String assemblyPerson) {
        this.assemblyPerson = assemblyPerson;
    }

    public Date getAssemblyTime() {
        return assemblyTime;
    }

    public void setAssemblyTime(Date assemblyTime) {
        this.assemblyTime = assemblyTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public String getComponentsImport() {
        return componentsImport;
    }

    public void setComponentsImport(String componentsImport) {
        this.componentsImport = componentsImport;
    }

    public String getComponentsOpearter() {
        return componentsOpearter;
    }

    public void setComponentsOpearter(String componentsOpearter) {
        this.componentsOpearter = componentsOpearter;
    }

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	
}