package com.catarc.traceability.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 
 * @ProjectName:traceability
 * @ClassName:Function.java
 * @Description: 运行管理
 * @Copyright: Copyright (c) 2017
 * @author: yangxuenan
 * @email: 958380650@qq.com
 * @date 2017年8月25日 上午9:38:25
 * @version V1.0
 */
@Table(name="T_FUNCT")
@Entity
public class Function implements Serializable {
	@Id
	@Column(name="PK_T_FUNCT_FUNTIM")
    private Date functionTime; /*运行时间*/

	@Column(name="VIN")
    private String vin; /*VIN码*/

	@Column(name="MILEAGE")
    private Double mileage; /*行驶里程*/

	@Column(name="FAULT_CODE")
    private String faultCode; /*故障代码*/

	@Column(name="CREATE_TIME")
    private Date createTime; /*创建时间*/

	@Column(name="UPDATE_TIME")
    private Date updateTime; /*修改时间*/

	@Column(name="DEL_FLAG")
    private Integer delFlag; /*删除标示 默认0*/
	
	/**
	 * 分页参数
	 */
	private Integer page;
	/**
	 * 分页
	 */
	private Integer limit;
	
	private String faultCount;

    private static final long serialVersionUID = 1L;

    public Date getFunctionTime() {
        return functionTime;
    }

    public void setFunctionTime(Date functionTime) {
        this.functionTime = functionTime;
    }

    public String getVin() {
        return vin;
    }

    public void setVin(String vin) {
        this.vin = vin;
    }

    public Double getMileage() {
        return mileage;
    }

    public void setMileage(Double mileage) {
        this.mileage = mileage;
    }

    public String getFaultCode() {
		return faultCode;
	}

	public void setFaultCode(String faultCode) {
		this.faultCode = faultCode;
	}

	public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public String getFaultCount() {
		return faultCount;
	}

	public void setFaultCount(String faultCount) {
		this.faultCount = faultCount;
	}
    
    
}