package com.catarc.traceability.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @version V1.0
 * @ProjectName:traceability
 * @ClassName:Journal.java
 * @Description: 日志管理实体类
 * @Copyright: Copyright (c) 2017
 * @author:zhengduoduo
 * @email: 1229784932@qq.com
 * @date 2017年8月28日 上午9:25:10
 */

@Table(name = "T_JOUR")
@Entity
public class Journal implements Serializable {
    
	private static final long serialVersionUID = 8751122742754977466L;
	/*
     * ID
     */
    @Id
    @Column(name = "PK_T_JOUR_ID")
    private String id;
    /*
     * 同步结果
     */
    @Column(name = "SYN_RESULT")
    private String synchronizateResult;
    /*
     * 同步时间
     */
    @Column(name = "SYN_TIME")
    private Date synchronizateTime;
    /*
     * 表名
     */
    @Column(name = "TAB_NAME")
    private String tableName;
    /*
     * 模块名
     */
    @Column(name = "MOD_NAME")
    private String moduleName;
    /*
     * 创建时间
     */
    @Column(name = "CTIME")
    private Date createTime;
    /*
     * 修改时间
     */
    @Column(name = "UTIME")
    private Date updateTime;
    /*
     * 删除标识
     */
    @Column(name = "DEFLAG")
    private Integer delFlag;
    /*
     * 同步成功条数
    */
    @Column(name = "SUCESS_TOTAL")
    private Integer sucessTotal;
    /*
     * 同步失败条数
     */
    @Column(name = "FAIL_TOTAL")
    private Integer failTotal;

	/**
	 * 分页参数
	 */
	private Integer page;
	/**
	 * 分页
	 */
	private Integer limit;
	
    public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSynchronizateResult() {
        return synchronizateResult;
    }

    public void setSynchronizateResult(String synchronizateResult) {
        this.synchronizateResult = synchronizateResult;
    }

    public Date getSynchronizateTime() {
        return synchronizateTime;
    }

    public void setSynchronizateTime(Date synchronizateTime) {
        this.synchronizateTime = synchronizateTime;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getModuleName() {
        return moduleName;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getSucessTotal() {
        return sucessTotal;
    }

    public void setSucessTotal(Integer sucessTotal) {
        this.sucessTotal = sucessTotal;
    }

    public Integer getFailTotal() {
        return failTotal;
    }

    public void setFailTotal(Integer failTotal) {
        this.failTotal = failTotal;
    }

   
}