package com.catarc.traceability.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;


/**
 * @version V1.0
 * @ProjectName:traceability
 * @ClassName:JournalDetail.java
 * @Description: 日志管理详情查看实体类
 * @Copyright: Copyright (c) 2017
 * @author:zhengduoduo
 * @email: 1229784932@qq.com
 * @date 2017年8月29日 上午8:48:44
 */

@Table(name = "T_JOUR_DETAIL")
@Entity
public class JournalDetail implements Serializable{
    
	private static final long serialVersionUID = 4981368865667403038L;

	/*
     * 主键
     */
    @Id
    @Column(name = "PK_T_JOUR_DETAIL_ID")
    private String jourDetailId;

	 /*
      * 日志序列号
	  */

    @Column(name = "JOUR_ID")
    private String jourid;

    /*
     * 表名
     */
    @Column(name = "TAB_NAME")
    private String tabname;

    /*
     * 同步结果
     */
    @Column(name = "SYN_RESULT")
    private String synresult;

	 /*
      * 创建时间
	  */

    @Column(name = "CTIME")
    private String ctime;

    /*
     * 更新时间
     */
    @Column(name = "UTIME")
    private String utime;

    /*
     * 删除标识
	 */
    @Column(name = "DEFLAG")
    private String deflag;
    /*
     * 同步成功条数
    */
    @Column(name = "SUCESS_TOTAL")
    private Integer sucessTotal;
    /*
     * 同步失败条数
    */
    @Column(name = "FAIL_TOTAL")
    private Integer failTotal;
    
    /**
	 * 分页参数
	 */
	private Integer page;
	/**
	 * 分页
	 */
	private Integer limit;
	
    public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public String getJourDetailId() {
        return jourDetailId;
    }

    public void setJourDetailId(String jourDetailId) {
        this.jourDetailId = jourDetailId;
    }

    public String getJourid() {
        return jourid;
    }

    public void setJourid(String jourid) {
        this.jourid = jourid;
    }

    public String getTabname() {
        return tabname;
    }

    public void setTabname(String tabname) {
        this.tabname = tabname;
    }

    public String getSynresult() {
        return synresult;
    }

    public void setSynresult(String synresult) {
        this.synresult = synresult;
    }

    public String getCtime() {
        return ctime;
    }

    public void setCtime(String ctime) {
        this.ctime = ctime;
    }

    public String getUtime() {
        return utime;
    }

    public void setUtime(String utime) {
        this.utime = utime;
    }

    public String getDeflag() {
        return deflag;
    }

    public void setDeflag(String deflag) {
        this.deflag = deflag;
    }

    public Integer getSucessTotal() {
        return sucessTotal;
    }

    public void setSucessTotal(Integer sucessTotal) {
        this.sucessTotal = sucessTotal;
    }

    public Integer getFailTotal() {
        return failTotal;
    }

    public void setFailTotal(Integer failTotal) {
        this.failTotal = failTotal;
    }


}
