package com.catarc.traceability.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * 关键件管理实体类
 * @ProjectName:traceability
 * @ClassName:Keyparts.java
 * @Description: 请务必自行补充代码核心描述
 * @Copyright: Copyright (c) 2017
 * @author: shiyongzhi
 * @email: 827871781@qq.com 
 * @date Aug 25, 2017 4:58:34 PM
 * @version V1.0
 */
@Table(name = "T_KEYPARTS")
@Entity
public class Keyparts implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -7704743494198675276L;

	/*
	 * 关键件名称
	 */
	@Id
	@Column(name = "PK_T_KEY_NAME")
    private String keypartsName;

	/*
	 * 零件类型
	 */
	@Column(name = "PART_TYPE")
    private String partType;

	/*
	 * 装配工位
	 */
	@Column(name = "ASSEM_STATION")
    private String assemblyStation;
	
	/*
	 * 装配人员
	 */
	@Column(name = "ASSEM_PERSON")
	private String assemblyPerson;
	
	/*
	 * 删除标识
	 */
	@Column(name = "DEL_FLAG")
    private Integer delFlag;

	/*
	 * 创建时间
	 */
	@Column(name = "CREATE_TIME")
    private Date createTime;

	/*
	 * 更新时间
	 */
	@Column(name = "UPDATE_TIME")
    private Date updateTime;

	@Transient
	private String str;
	
	/**
	 * 分页参数
	 */
	private Integer page;
	/**
	 * 分页
	 */
	private Integer limit;
	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public String getStr() {
		return str;
	}

	public void setStr(String str) {
		this.str = str;
	}


    public String getKeypartsName() {
        return keypartsName;
    }

    public void setKeypartsName(String keypartsName) {
        this.keypartsName = keypartsName;
    }

    public String getPartType() {
        return partType;
    }

    public void setPartType(String partType) {
        this.partType = partType;
    }

    public String getAssemblyStation() {
        return assemblyStation;
    }

    public void setAssemblyStation(String assemblyStation) {
        this.assemblyStation = assemblyStation;
    }

    public String getAssemblyPerson() {
        return assemblyPerson;
    }

    public void setAssemblyPerson(String assemblyPerson) {
        this.assemblyPerson = assemblyPerson;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}