package com.catarc.traceability.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Table(name = "T_KEYPARTS_CORRELATION")
@Entity
public class KeypartsCorrelation implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -7581053056491981008L;

	/*
	 * 零件号
	 */
    @Id
    @Column(name = "PK_T_PART_NUM")
    private String partNumber;

    /*
     * 关键件名称
     */
    @Column(name = "KEY_NAME")
    private String keypartsName;

    /*
     * 零件全称
     */
    @Column(name = "PART_NAME")
    private String partName;

    /*
     * 供应商
     */
    @Column(name = "SUPPLIER")
    private String supplier;

    /*
     * 库存数量
     */
    @Column(name = "KEY_CORR_QTY")
    private BigDecimal keypartsCorrelationQty;

    /*
     * 删除标识
     */
    @Column(name = "DEL_FLAG")
    private Integer delFlag;

    /*
     * 创建时间
     */
    @Column(name = "CREATE_TIME")
    private Date createTime;

    /*
     * 更新时间
     */
    @Column(name = "UPDATE_TIME")
    private Date updateTime;


    public String getPartNumber() {
        return partNumber;
    }

    public void setPartNumber(String partNumber) {
        this.partNumber = partNumber;
    }

    public String getKeypartsName() {
        return keypartsName;
    }

    public void setKeypartsName(String keypartsName) {
        this.keypartsName = keypartsName;
    }

    public String getPartName() {
        return partName;
    }

    public void setPartName(String partName) {
        this.partName = partName;
    }

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public BigDecimal getKeypartsCorrelationQty() {
        return keypartsCorrelationQty;
    }

    public void setKeypartsCorrelationQty(BigDecimal keypartsCorrelationQty) {
        this.keypartsCorrelationQty = keypartsCorrelationQty;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}