package com.catarc.traceability.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
/**
 * 
 * @ProjectName:traceability
 * @ClassName:Library.java
 * @Description: 出库管理
 * @Copyright: Copyright (c) 2017
 * @author: yangxuenan
 * @email: 958380650@qq.com
 * @date 2017年8月25日 上午9:40:25
 * @version V1.0
 */
@Table(name="T_LIBRAR")
@Entity
public class Library implements Serializable {
	@Id
	@Column(name="PK_T_LIBRAR_ISSNUM")
    private String issueNum; /*出库单号*/

	@Column(name="VIN")
    private String vin; /*VIN码*/

	@Column(name="VEC_NAME")
    private String vehicleName; /*车型名称*/

	@Column(name="VEC_CODE")
    private String vehicleCode; /*车型代码*/

	@Column(name="AMOUNT")
    private BigDecimal amount; /*数量*/

	@Column(name="ISSUE_TIME")
    private Date issueTime; /*出库时间*/

	@Column(name="AGENTS")
    private String agents; /*代理商*/

	@Column(name="RESPON_DEP")
    private String responseDepartment; /*负责科室*/

	@Column(name="RESPON_PER")
    private String responsePerson; /*负责人员*/

	@Column(name="ORDED_NUM")
    private String orderNum; /*订单号*/

	@Column(name="TRANS_ADDR")
    private String transportAddress; /*运输地址*/
	
	@Column(name="TRANS_TYPE")
    private String transportType; /*运输方式*/
	
	@Column(name="FINISH_RES")
    private String finishResult; /*完成情况*/

	@Column(name="CREATE_TIME")
    private Date createTime; /*创建时间*/

	@Column(name="UPDATE_TIME")
    private Date updateTime; /*修改时间*/

	@Column(name="DEL_FLAG")
    private Integer delFlag; /*删除标示 默认0*/
	
	/**
	 * 分页参数
	 */
	private Integer page;
	/**
	 * 分页
	 */
	private Integer limit;

    public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	private static final long serialVersionUID = 1L;

    public String getIssueNum() {
        return issueNum;
    }

    public void setIssueNum(String issueNum) {
        this.issueNum = issueNum;
    }

    public String getVin() {
        return vin;
    }

    public void setVin(String vin) {
        this.vin = vin;
    }

    public String getVehicleName() {
		return vehicleName;
	}

	public void setVehicleName(String vehicleName) {
		this.vehicleName = vehicleName;
	}

	public String getVehicleCode() {
		return vehicleCode;
	}

	public void setVehicleCode(String vehicleCode) {
		this.vehicleCode = vehicleCode;
	}

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Date getIssueTime() {
        return issueTime;
    }

    public void setIssueTime(Date issueTime) {
        this.issueTime = issueTime;
    }

    public String getAgents() {
        return agents;
    }

    public void setAgents(String agents) {
        this.agents = agents;
    }

    public String getResponseDepartment() {
        return responseDepartment;
    }

    public void setResponseDepartment(String responseDepartment) {
        this.responseDepartment = responseDepartment;
    }

    public String getResponsePerson() {
        return responsePerson;
    }

    public void setResponsePerson(String responsePerson) {
        this.responsePerson = responsePerson;
    }

    public String getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
    }

    public String getTransportAddress() {
        return transportAddress;
    }

    public void setTransportAddress(String transportAddress) {
        this.transportAddress = transportAddress;
    }

    public String getTransportType() {
		return transportType;
	}

	public void setTransportType(String transportType) {
		this.transportType = transportType;
	}

	public String getFinishResult() {
		return finishResult;
	}

	public void setFinishResult(String finishResult) {
		this.finishResult = finishResult;
	}

	public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}