package com.catarc.traceability.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
/**
 * @ProjectName:traceability
 * @ClassName:Log.java
 * @Description: 日志管理
 * @Copyright: Copyright (c) 2017
 * @author: yangxuenan
 * @email: 958380650@qq.com
 * @date 2017年9月11日 上午9:04:33
 * @version V1.0
 */
@Table(name="T_LOG")
@Entity
public class Log implements Serializable {

	private static final long serialVersionUID = -5649497374863208701L;
	
	@Id
	@Column(name="PK_T_LOG_ID")
    private String logId; /*ID*/
	
	@Column(name="LOG_TIME")
    private String logTime; /*时间*/
	
	@Column(name="USER_NAME")
    private String userName; /*用户名*/
	
	@Column(name="ACTION")
    private String action; /*动作*/
	
	@Column(name="TARGET")
    private String target; /*对象*/
	
	@Column(name="LOG_IP")
    private String logIp; /*IP*/
	
	@Column(name="CREATE_TIME")
    private Date createTime; /*创建时间*/

	@Column(name="UPDATE_TIME")
    private Date updateTime; /*修改时间*/

	@Column(name="DEL_FLAG")
    private Integer delFlag; /*删除标示 默认0*/
	
	/**
	 * 分页参数
	 */
	private Integer page;
	/**
	 * 分页
	 */
	private Integer limit;


	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public String getLogId() {
		return logId;
	}

	public void setLogId(String logId) {
		this.logId = logId;
	}

	public String getLogTime() {
		return logTime;
	}

	public void setLogTime(String logTime) {
		this.logTime = logTime;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getAction() {
		return action;
	}

	public void setAction(String action) {
		this.action = action;
	}

	public String getTarget() {
		return target;
	}

	public void setTarget(String target) {
		this.target = target;
	}

	public String getLogIp() {
		return logIp;
	}

	public void setLogIp(String logIp) {
		this.logIp = logIp;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}
	
	

}
