package com.catarc.traceability.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @ProjectName:traceability
 * @ClassName:Manufacture.java
 * @Description: 订单管理实体类
 * @Copyright: Copyright (c) 2017
 * @author:zhengduoduo
 * @email: 1229784932@qq.com
 * @date 2017年8月25日 下午2:07:51
 * @version V1.0
 */
@Table(name = "T_MANUF")
@Entity
public class Manufacture implements Serializable {
	
	private static final long serialVersionUID = -6922260571270423060L;

	/*
	 * Vin码
	 */
	@Id
	@Column(name = "PK_T_MANUF_VIN")
    private String vin;
	
   /*
    * 焊接上线时间
    */
	@Column(name = "WELDON_TIME")
    private Date weldingonlineTime;
    
	/*
	 * 焊接下线时间
	 */
	@Column(name = "WELDOFF_TIME")
    private Date weldingoffTime;
    
	/*
	 * 涂装上线时间
	 */
	@Column(name = "PALONGON_TIME")
    private Date palongingonlineTime;
    
	/*
	 * 涂装下线时间
	 */
	@Column(name = "PALOFF_TIME")
    private Date palongingoffTime;
     
	 /*
      * 总装上线时间
      */
	@Column(name = "ASSEMBON_TIME")
    private Date assemblyonlineTime;
	
	/*
	 * 总装下线时间
	 */
	@Column(name = "ASSEMBOFF_TIME")
    private Date assemblyoffTime;
	
	/*
	 * 负责科室
	 */
	@Column(name = "RESP_DEM")
    private String responseDepartment;
    
	/*
	 * 创建时间
	 */
	@Column(name = "CTIME")
    private Date createTime;
    
	/*
	 * 修改时间
	 */
	@Column(name = "UTIME")
    private Date updateTime;
    
	/*
	 * 删除标识
	 */
	@Column(name = "DEFLAG")
    private Integer delFlag;

  
	/**
	 * 分页参数
	 */
	private Integer page;
	/**
	 * 分页
	 */
	private Integer limit;
	
	private String startTime;
	
	private String endTime;
	
    public String getVin() {
        return vin;
    }

    public void setVin(String vin) {
        this.vin = vin;
    }

    public Date getWeldingonlineTime() {
        return weldingonlineTime;
    }

    public void setWeldingonlineTime(Date weldingonlineTime) {
        this.weldingonlineTime = weldingonlineTime;
    }

    public Date getWeldingoffTime() {
        return weldingoffTime;
    }

    public void setWeldingoffTime(Date weldingoffTime) {
        this.weldingoffTime = weldingoffTime;
    }

    public Date getPalongingonlineTime() {
        return palongingonlineTime;
    }

    public void setPalongingonlineTime(Date palongingonlineTime) {
        this.palongingonlineTime = palongingonlineTime;
    }

    public Date getPalongingoffTime() {
        return palongingoffTime;
    }

    public void setPalongingoffTime(Date palongingoffTime) {
        this.palongingoffTime = palongingoffTime;
    }

    public Date getAssemblyonlineTime() {
        return assemblyonlineTime;
    }

    public void setAssemblyonlineTime(Date assemblyonlineTime) {
        this.assemblyonlineTime = assemblyonlineTime;
    }

    public Date getAssemblyoffTime() {
        return assemblyoffTime;
    }

    public void setAssemblyoffTime(Date assemblyoffTime) {
        this.assemblyoffTime = assemblyoffTime;
    }

    public String getResponseDepartment() {
        return responseDepartment;
    }

    public void setResponseDepartment(String responseDepartment) {
        this.responseDepartment = responseDepartment;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	
    
}