package com.catarc.traceability.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;


/**
 * 订单管理实体类
 * @ProjectName:traceability
 * @ClassName:Order.java
 * @Description: 请务必自行补充代码核心描述
 * @Copyright: Copyright (c) 2017
 * @author: wangyao
 * @email: 842261834@qq.com 
 * @date 2017年1月14日 下午2:09:39
 * @version V1.0
 */
@Table(name = "T_ORDER")
@Entity
public class Order implements Serializable{
	
	private static final long serialVersionUID = -7926823262227793196L;
	/*
	 * 订单号
	 */
	@Id
	@Column(name = "PK_T_ORDER_ONAME")
	private String order_name;
	/*
	 * 代理商
	 */
	@Column(name = "AGENT")
	private String agent;
	/*
	 * 总数量
	 */
	@Column(name = "ORDER_TOTAL")
	private Integer order_totaquantity;
	/*
	 * 订单创建时间
	 */
	@Column(name = "O_CRT_TIME")
	private Date order_create_time;
	/*
	 * 收车地址
	 */
	@Column(name = "RECV_ADD")
	private String receiving_address;
	/*
	 * 订单状态
	 */
	@Column(name = "STAS")
	private String order_status;
	/*
	 * 车型代码
	 */
	@Column(name = "VEC_CODE")
	private String vehicle_code;
	/*
	 * 车型名称
	 */
	@Column(name = "VEC_NAME")
	private String vehicle_name;
	/*
	 * 数量
	 */
	@Column(name = "TOTAl")
	private Integer total;
	/*
	 * 备注
	 */
	@Column(name = "REMARK")
	private String remarks;
	/*
	 * 本条记录创建时间
	 */
	@Column(name = "CREATE_TIME")
	private Date create_time;
	/*
	 * 本条记录更新时间
	 */
	@Column(name = "UPDATE_TIME")
	private Date update_time;
	/*
	 * 删除标识
	 */
	@Column(name = "DEL_FLAG")
	private Integer del_flag;
	
	private String startTime;
	private String endTime;
	
	public String getStartTime() {
		return startTime;
	}
	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}
	public String getEndTime() {
		return endTime;
	}
	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}
	/**
	 * 分页参数
	 */
	private Integer page;
	/**
	 * 分页
	 */
	private Integer limit;
	
	
	public String getOrder_name() {
		return order_name;
	}
	public void setOrder_name(String order_name) {
		this.order_name = order_name;
	}
	public String getAgent() {
		return agent;
	}
	public void setAgent(String agent) {
		this.agent = agent;
	}
	public Integer getOrder_totaquantity() {
		return order_totaquantity;
	}
	public void setOrder_totaquantity(Integer order_totaquantity) {
		this.order_totaquantity = order_totaquantity;
	}
	public Date getOrder_create_time() {
		return order_create_time;
	}
	public void setOrder_create_time(Date order_create_time) {
		this.order_create_time = order_create_time;
	}
	public String getReceiving_address() {
		return receiving_address;
	}
	public void setReceiving_address(String receiving_address) {
		this.receiving_address = receiving_address;
	}
	public String getOrder_status() {
		return order_status;
	}
	public void setOrder_status(String order_status) {
		this.order_status = order_status;
	}
	public String getVehicle_code() {
		return vehicle_code;
	}
	public void setVehicle_code(String vehicle_code) {
		this.vehicle_code = vehicle_code;
	}
	public String getVehicle_name() {
		return vehicle_name;
	}
	public void setVehicle_name(String vehicle_name) {
		this.vehicle_name = vehicle_name;
	}
	public Integer getTotal() {
		return total;
	}
	public void setTotal(Integer total) {
		this.total = total;
	}
	public String getRemarks() {
		return remarks;
	}
	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}
	public Date getCreate_time() {
		return create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}
	public Date getUpdate_time() {
		return update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}
	public Integer getDel_flag() {
		return del_flag;
	}
	public void setDel_flag(Integer del_flag) {
		this.del_flag = del_flag;
	}
	public Integer getPage() {
		return page;
	}
	public void setPage(Integer page) {
		this.page = page;
	}
	public Integer getLimit() {
		return limit;
	}
	public void setLimit(Integer limit) {
		this.limit = limit;
	}

}
