package com.catarc.traceability.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
/**
 * @ProjectName:traceability
 * @ClassName:Purchase.java
 * @Description: 采购管理
 * @Copyright: Copyright (c) 2017
 * @author: yangxuenan
 * @email: 958380650@qq.com
 * @date 2017年9月1日 上午10:37:00
 * @version V1.0
 */
@Table(name="T_PURCHA")
@Entity
public class Purchase implements Serializable {
	private static final long serialVersionUID = 1L;
	
	@Id
	@Column(name="PK_T_PURCHA_PURNUM")
    private String purchaseNum; /*采购单号*/

	@Column(name="AGENTS")
    private String agents; /*供应商*/

	@Column(name="SET_TIME")
    private Date setTime; /*创建时间*/

	@Column(name="RESPON_DEPART")
    private String responDepart; /*负责科室*/

	@Column(name="RESPON_PERSON")
    private String responPerson; /*负责人员*/
	
	@Column(name="PART_NUM")
    private String partNum; /*零件号*/
	
	@Column(name="PART_NAME")
    private String partName; /*零件名称*/
	
	@Column(name="KEY_NAME")
    private String keyName; /*关键件名称*/
	
	@Column(name="AMOUNT")
    private int amount; /*数量*/

	@Column(name="CREATE_TIME")
    private Date createTime; /*创建时间*/

	@Column(name="UPDATE_TIME")
    private Date updateTime; /*修改时间*/

	@Column(name="DEL_FLAG")
    private Integer delFlag; /*删除标示 默认0*/

	public String getPurchaseNum() {
		return purchaseNum;
	}

	public void setPurchaseNum(String purchaseNum) {
		this.purchaseNum = purchaseNum;
	}

	public String getAgents() {
		return agents;
	}

	public void setAgents(String agents) {
		this.agents = agents;
	}

	public Date getSetTime() {
		return setTime;
	}

	public void setSetTime(Date setTime) {
		this.setTime = setTime;
	}

	public String getResponDepart() {
		return responDepart;
	}

	public void setResponDepart(String responDepart) {
		this.responDepart = responDepart;
	}

	public String getResponPerson() {
		return responPerson;
	}

	public void setResponPerson(String responPerson) {
		this.responPerson = responPerson;
	}

	public String getPartNum() {
		return partNum;
	}

	public void setPartNum(String partNum) {
		this.partNum = partNum;
	}

	public String getPartName() {
		return partName;
	}

	public void setPartName(String partName) {
		this.partName = partName;
	}

	public String getKeyName() {
		return keyName;
	}

	public void setKeyName(String keyName) {
		this.keyName = keyName;
	}

	public int getAmount() {
		return amount;
	}

	public void setAmount(int amount) {
		this.amount = amount;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}
	
	
}