package com.catarc.traceability.entity;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @ProjectName:traceability
 * @ClassName:QualiTestDetail.java
 * @Description: 日志详情查看实体类
 * @Copyright: Copyright (c) 2017
 * @author:zhengduoduo
 * @email: 1229784932@qq.com
 * @date 2017年9月4日 下午4:52:56
 * @version V1.0
 */
@Table(name = "T_QUALI_TEST_DETAIL")
@Entity
public class QualiTestDetail implements Serializable {
	
	private static final long serialVersionUID = 4266107287341667798L;

	/*
	 * VIN码
	 */
	@Id
	@Column(name = "PK_T_QTDETAIL_VIN")
    private String pkTQtdetailVin;
	
	/*
	 * 日期
	 */
	@Column(name = "DATE")
    private String date;
    
	/*
	 * 时间
	 */
	@Column(name = "TIME")
    private String time;
    
	/*
	 * 车型
	 */
	@Column(name = "VEHICLE")
    private String vehicle;
   
	/*
	 * 电池组总电压
	 */
	@Column(name = "BATTERY_TOTAL_VOLTAGE")
    private String batteryTotalVoltage;
    
	/*
	 * 电池组充
	 */
	@Column(name = "CHARGE")
    private String charge;
    
	/*
	 * 电池模块SOC
	 */
	@Column(name = "BATTERY_MODULAR_SOC")
    private String batteryModularSoc;
    
	/*
	 * 单体过充
	 */
	@Column(name = "SINGLE_OVER_CHARGE")
    private String singleOverCharge;
    
	/*
	 * 单体过放
	 */
	@Column(name = "SINGLE_OVER_DISCHARGE")
    private String singleOverDischarge;
    
	/*
	 * 温度过高
	 */
	@Column(name = "TEMPERATURE_OVER_HIGH")
    private String temperatureOverHigh;
	
	/*
	 * 放电过流
	 */
	@Column(name = "DISCHARGE_OVER_CURRENT")
    private String dischargeOverCurrent;
    
	/*
	 * 保留1
	 */
	@Column(name = "REMAIN1")
    private String remain1;
    
	/*
	 * 绝缘低
	 */
	@Column(name = "INSULATION_LOW")
    private String insulationLow;
    
	/*
	 * 绝缘过低
	 */
	@Column(name = "INSOLATION_OVER_LOW")
    private String insolationOverLow;
    
	/*
	 * 通讯中断
	 */
	@Column(name = "COMMUNICATION_OFF")
    private String communicationOff;
    
	/*
	 * 总压过高
	 */
	@Column(name = "TOTAL_VOLTAGE_OVER_HIGH")
    private String totalVoltageOverHigh;
	
	/*
	 * 总压过低
	 */
	@Column(name = "TOTAL_VOLTAGE_OVER_LOW")
    private String totalVoltageOverLow;
    
	/*
	 * 充电过流
	 */
	@Column(name = "CHARGE_OVER_CURRENT")
    private String chargeOverCurrent;
    
	/*
	 * 温度过低
	 */
	@Column(name = "TEMPERATURE_OVER_LOW")
    private String temperatureOverLow;
    
	/*
	 * 温差过大
	 */
	@Column(name = "EXCESSIVE_TEMPERATURE_DIFF")
    private String excessiveTemperatureDiff;
    
	/*
	 * 压差过大
	 */
	@Column(name = "EXCESSIVE_VOLTAGE_DIFF")
    private String excessiveVoltageDiff;
    
	/*
	 * 温升过快
	 */
	@Column(name = "TEMPERATURE_RISE_OVER_FAST")
    private String temperatureRiseOverFast;
    
	/*
	 * 短路保护
	 */
	@Column(name = "SHORT_CIRCUIT_PROTECTION")
    private String shortCircuitProtection;
    
	/*
	 * 电池组最高单体电压
	 */
	@Column(name = "BATTERY_SINGLE_MAX_VOLTAGE")
    private String batterySingleMaxVoltage;
    
	/*
	 * 电池组最高单体电压串号
	 */
	@Column(name = "BATTERY_SINGLE_MAX_VOLTAGE_NO")
    private String batterySingleMaxVoltageNo;
    
	/*
	 * 电池组最低单体电压
	 */
	@Column(name = "BATTERY_SINGLE_MIN_VOLTAGE")
    private String batterySingleMinVoltage;
    
	/*
	 * 电池组最低单体电压串号
	 */
	@Column(name = "BATTERY_SINGLE_MIN_VOLTAGE_NO")
    private String batterySingleMinVoltageNo;
    
	/*
	 * 电池组最高温度
	 */
	@Column(name = "BATTERY_MAX_TEMPERATURE")
    private String batteryMaxTemperature;
    
	/*
     * 电池组最高温度串号
     */
	@Column(name = "BATTERY_MAX_TEMPERATURE_NO")
    private String batteryMaxTemperatureNo;
    
	/*
	 * 电池组最低温度
	 */
	@Column(name = "BATTERY_MIN_TEMPERATURE")
    private String batteryMinTemperature;
    
	/*
     * 电池组最低温度串号
     */
	@Column(name = "BATTERY_MIN_TEMPERATURE_NO")
    private String batteryMinTemperatureNo;
    
	/*
     * 正极绝缘阻值
     */
	@Column(name = "POSITIVE_INSULATION_RESISTANCE")
    private String positiveInsulationResistance;
	
	/*
	 * 负极绝缘阻值
	 */
	@Column(name = "NEGATIVE_INSULATION_RESISTANCE")
    private String negativeInsulationResistance;
    
	/*
	 * SOH
	 */
	@Column(name = "SOH")
    private String soh;
    
	/*
	 * 放电继电器状态
	 */
	@Column(name = "DISCHARGE_RELAY_STATUS")
    private String dischargeRelayStatus;
    
	/*
	 * 充电继电器状态
	 */
	@Column(name = "CHARGE_RELAY_STATUS")
    private String chargeRelayStatus;
    
	/*
	 * 预充电继电器状态
	 */
	@Column(name = "PRE_CHARGE_RELAY_STATUS")
    private String preChargeRelayStatus;
    
	/*
	 * 充电连接状态
	 */
	@Column(name = "CHARGE_CONNECTION_STATUS")
    private String chargeConnectionStatus;
    
	/*
	 * 充电状态
	 */
	@Column(name = "CHARGE_STATUS")
    private String chargeStatus;
    
	/*
	 * 电源管理模块系统故障
	 */
	@Column(name = "BMS_SYSTEM_ERROR")
    private String bmsSystemError;
    
	/*
	 * 继电器粘连
	 */
	@Column(name = "RELAY_ADHESION")
	private String relayAdhesion;
    
	/*
	 * 保留2
	 */
	@Column(name = "REMAIN2")
    private String remain2;
    
	/*
	 * 充电循环次数
	 */
	@Column(name = "CHARGE_CYCLE_TIME")
    private String chargeCycleTime;
    
	/*
	 * 剩余里程输出
	 */
	@Column(name = "REMAIN_JOURNEY_OUTPUT")
    private String remainJourneyOutput;
    
	/*
	 * 车型
	 */
	@Column(name = "VEHICLE_TYPE")
    private String vehicleType;
    
	/*
	 * 生产厂商
	 */
	@Column(name = "MANUFACTURER")
    private String manufacturer;
    
	/*
	 * 硬件号
	 */
	@Column(name = "HARDWARE_NO")
    private String hardwareNo;
    
	/*
	 * 软件号
	 */
	@Column(name = "SOFTWARE_NO")
    private String softwareNo;
    
	/*
	 * 年
	 */
	@Column(name = "YEAR")
    private String year;
    
	/*
	 * 月
	 */
	@Column(name = "MONTH")
    private String month;
    
	/*
	 * 日
	 */
	@Column(name = "DAY")
    private String day;
    
	/*
	 * 备注
	 */
	@Column(name = "REMARK")
    private String remark;
    
	/*
	 * 单体电池1电压
	 */
	@Column(name = "SINGLE_1_VOLTAGE")
    private String single1Voltage;
    
	/*
	 * 单体电池2电压
	 */
	@Column(name = "SINGLE_2_VOLTAGE")
    private String single2Voltage;
    
	/*
	 * 单体电池3电压
	 */
	@Column(name = "SINGLE_3_VOLTAGE")
    private String single3Voltage;
    
	/*
	 * 单体电池4电压
	 */
	@Column(name = "SINGLE_4_VOLTAGE")
    private String single4Voltage;
    
	/*
	 * 单体电池5电压
	 */
	@Column(name = "SINGLE_5_VOLTAGE")
    private String single5Voltage;
    
	/*
	 * 单体电池6电压
	 */
	@Column(name = "SINGLE_6_VOLTAGE")
    private String single6Voltage;
    
	/*
	 * 单体电池7电压
	 */
	@Column(name = "SINGLE_7_VOLTAGE")
    private String single7Voltage;
    
	/*
	 * 单体电池8电压
	 */
	@Column(name = "SINGLE_8_VOLTAGE")
    private String single8Voltage;
    
	/*
	 * 单体电池9电压
	 */
	@Column(name = "SINGLE_9_VOLTAGE")
    private String single9Voltage;
	
	/*
	 * 单体电池10电压
	 */
	@Column(name = "SINGLE_10_VOLTAGE")
    private String single10Voltage;
	
	/*
	 * 单体电池11电压
	 */
	@Column(name = "SINGLE_11_VOLTAGE")
    private String single11Voltage;
	
	/*
	 * 单体电池12电压
	 */
	@Column(name = "SINGLE_12_VOLTAGE")
    private String single12Voltage;
	
	/*
	 * 单体电池13电压
	 */
	@Column(name = "SINGLE_13_VOLTAGE")
    private String single13Voltage;
	
	/*
	 * 单体电池14电压
	 */
	@Column(name = "SINGLE_14_VOLTAGE")
    private String single14Voltage;

	/*
	 * 单体电池15电压
	 */
	@Column(name = "SINGLE_15_VOLTAGE")
    private String single15Voltage;
	
	/*
	 * 单体电池16电压
	 */
	@Column(name = "SINGLE_16_VOLTAGE")
    private String single16Voltage;

	/*
	 * 单体电池17电压
	 */
	@Column(name = "SINGLE_17_VOLTAGE")
    private String single17Voltage;

	/*
	 * 单体电池18电压
	 */
	@Column(name = "SINGLE_18_VOLTAGE")
    private String single18Voltage;

	/*
	 * 单体电池19电压
	 */
	@Column(name = "SINGLE_19_VOLTAGE")
    private String single19Voltage;

	/*
	 * 单体电池20电压
	 */
	@Column(name = "SINGLE_20_VOLTAGE")
    private String single20Voltage;
    
	/*
	 * 单体电池21电压
	 */
	@Column(name = "SINGLE_21_VOLTAGE")
    private String single21Voltage;

	/*
	 * 单体电池22电压
	 */
	@Column(name = "SINGLE_22_VOLTAGE")
    private String single22Voltage;

	/*
	 * 单体电池23电压
	 */
	@Column(name = "SINGLE_23_VOLTAGE")
    private String single23Voltage;

	/*
	 * 单体电池24电压
	 */
	@Column(name = "SINGLE_24_VOLTAGE")
    private String single24Voltage;
   
	/*
	 * 单体电池25电压
	 */
	@Column(name = "SINGLE_25_VOLTAGE")
    private String single25Voltage;
   
	/*
	 * 单体电池26电压
	 */
	@Column(name = "SINGLE_26_VOLTAGE")
    private String single26Voltage;

	/*
	 * 单体电池27电压
	 */
	@Column(name = "SINGLE_27_VOLTAGE")
    private String single27Voltage;

	/*
	 * 单体电池28电压
	 */
	@Column(name = "SINGLE_28_VOLTAGE")
    private String single28Voltage;

   /*
    * 单体电池29电压
    */
	@Column(name = "SINGLE_29_VOLTAGE")
    private String single29Voltage;
    
	/*
	 * 单体电池30电压
	 */
	@Column(name = "SINGLE_30_VOLTAGE")
    private String single30Voltage;
  
	/*
	 * 单体电池31电压
	 */
    @Column(name = "SINGLE_31_VOLTAGE")
    private String single31Voltage;

    /*
     * 单体电池32电压
     */
    @Column(name = "SINGLE_32_VOLTAGE")
    private String single32Voltage;

    /*
     * 单体电池33电压
     */
    @Column(name = "SINGLE_33_VOLTAGE")
    private String single33Voltage;

    /*
     * 单体电池34电压
     */
    @Column(name = "SINGLE_34_VOLTAGE")
    private String single34Voltage;

    /*
     * 单体电池35电压
     */
    @Column(name = "SINGLE_35_VOLTAGE")
    private String single35Voltage;

    /*
     * 单体电池36电压
     */
    @Column(name = "SINGLE_36_VOLTAGE")
    private String single36Voltage;

    /*
     * 单体电池37电压
     */
    @Column(name = "SINGLE_37_VOLTAGE")
    private String single37Voltage;

    /*
     * 单体电池38电压
     */
    @Column(name = "SINGLE_38_VOLTAGE")
    private String single38Voltage;

    /*
     * 单体电池39电压
     */
    @Column(name = "SINGLE_39_VOLTAGE")
    private String single39Voltage;

    /*
     * 单体电池40电压
     */
    @Column(name = "SINGLE_40_VOLTAGE")
    private String single40Voltage;

    /*
     * 温度1
     */
    @Column(name = "TEMPERATURE_1")
    private String temperature1;

    /*
     * 温度2
     */
    @Column(name = "TEMPERATURE_2")
    private String temperature2;

    /*
     * 温度3
     */
    @Column(name = "TEMPERATURE_3")
    private String temperature3;

    /*
     * 温度4
     */
    @Column(name = "TEMPERATURE_4")
    private String temperature4;

    /*
     * 温度5
     */
    @Column(name = "TEMPERATURE_5")
    private String temperature5;

    /*
     * 温度6
     */
    @Column(name = "TEMPERATURE_6")
    private String temperature6;

    /*
     * 温度7
     */
    @Column(name = "TEMPERATURE_7")
    private String temperature7;

    /*
     * 温度8
     */
    @Column(name = "TEMPERATURE_8")
    private String temperature8;

    /*
     * 制动踏板行程
     */
    @Column(name = "BRAKE_PEDAL_TRAVEL")
    private String brakePedalTravel;

    /*
     * 油门踏板行程
     */
    @Column(name = "ACCELERATOR_PEDAL_TRAVEL")
    private String acceleratorPedalTravel;

    /*
     * 电机目标输出转矩 
     */
    @Column(name = "MOTOR_TARGET_OUTPUT_TORQUE")
    private String motorTargetOutputTorque;

    /*
     * 电机目标输出转速 
     */
    @Column(name = "MOTOR_TARGET_OUTPUT_RPM")
    private String motorTargetOutputRpm;

    /*
     * 停机
     */
    @Column(name = "STOP")
    private String stop;

    /*
     * 空转
     */
    @Column(name = "IDLE1")
    private String idle1;

    /*
     * 正向驱动
     */
    @Column(name = "FORWARD_DRIVE")
    private String forwardDrive;

    /*
     * 制动
     */
    @Column(name = "BRAKE")
    private String brake;

    /*
     * 反向驱动
     */
    @Column(name = "REVERSE_DRIVE")
    private String reverseDrive;

    /*
     * 主接
     */
    @Column(name = "MAIN_CONNECTION1")
    private String mainConnection1;

    /*
     * 转速模式
     */
    @Column(name = "RPM_MODE")
    private String rpmMode;

    /*
     * CAN/ACC
     */
    @Column(name = "CAN")
    private String can;

    /*
     * 保留3
     */
    @Column(name = "REMAIN3")
    private String remain3;

    /*
     * 保留4
     */
    @Column(name = "REMAIN4")
    private String remain4;

    /*
     * 保留5
     */
    @Column(name = "REMAIN5")
    private String remain5;

    /*
     * 保留6
     */
    @Column(name = "REMAIN6")
    private String remain6;

    /*
     * 保留7
     */
    @Column(name = "REMAIN7")
    private String remain7;

    /*
     * 保留8
     */
    @Column(name = "REMAIN8")
    private String remain8;

    /*
     * CANLIFE（0-15）
     */
    @Column(name = "CANLIFE")
    private String canlife;

    /*
     * 电机输出转矩
     */
    @Column(name = "MOTOR_OUTPUT_TORQUE")
    private String motorOutputTorque;
   
    /*
     * 电机输出转速
     */
    @Column(name = "MOTOR_OUTPUT_RPM")
    private String motorOutputRpm;

    /*
     * 直流电流大小
     */
    @Column(name = "DC_CURRENT")
    private String dcCurrent;

    /*
     * 启动1/停机0
     */
    @Column(name = "START1")
    private String start1;

    /*
     * 怠机
     */
    @Column(name = "IDLE2")
    private String idle2;

    /*
     * 正传1/反转0
     */
    @Column(name = "FORWARD1")
    private String forward1;

    /*
     * 驱动1/制动0
     */
    @Column(name = "DRIVE1")
    private String drive1;

    /*
     * 故障
     */
    @Column(name = "ERROR")
    private String error;

    /*
     * ready
     */
    @Column(name = "READY")
    private String ready;

    /*
     * 模式
     */
    @Column(name = "MODE")
    private String mode;

    /*
     * 开波
     */
    @Column(name = "START_WAVE")
    private String startWave;

    /*
     * 预充
     */
    @Column(name = "PRE_CHARGE")
    private String preCharge;

    /*
     * 主接
     */
    @Column(name = "MAIN_CONNECTION2")
    private String mainConnection2;

    /*
     * 档位状态
     */
    @Column(name = "GEAR_STATUS")
    private String gearStatus;
    
    /*
     * 接触器前端电压
     */
    @Column(name = "VOLTAGE_BEFORE_CONTACTOR")
    private String voltageBeforeContactor;
    
    /*
     * 接触器后端电压
     */
    @Column(name = "VOLTAGE_AFTER_CONTACTOR")
    private String voltageAfterContactor;

    /*
     * 交流有效值
     */
    @Column(name = "AC_EFFECTIVE_VALUE")
    private String acEffectiveValue;

    /*
     * 电机控制器温度
     */
    @Column(name = "MOTOR_CONTROLLER_TEMPERATURE")
    private String motorControllerTemperature;

    /*
     * 电机温度
     */
    @Column(name = "MOTOR_TEMPERATURE")
    private String motorTemperature;

    /*
     * 预充故障
     */
    @Column(name = "PRE_CHARGE_ERROR")
    private String preChargeError;

    /*
     * 主接故障
     */
    @Column(name = "MAIN_CONNECTION_ERROR")
    private String mainConnectionError;

    /*
     * IGBT故障
     */
    @Column(name = "IGBT_ERROR")
    private String igbtError;

    /*
     * 过流
     */
    @Column(name = "OVER_CURRENT")
    private String overCurrent;

    /*
     * 电机控制器一般过温
     */
    @Column(name = "MOTOR_CONTROLLER_GEN_OVER_TMP")
    private String motorControllerGenOverTmp;

    /*
     * 电机控制器严重过温
     */
    @Column(name = "MOTOR_CONTROLLER_SRS_OVER_TMP")
    private String motorControllerSrsOverTmp;

    /*
     * 保留9
     */
    @Column(name = "REMAIN9")
    private String remain9;

    /*
     * 严重过压
     */
    @Column(name = "SERIOUS_OVER_VOLTAGE")
    private String seriousOverVoltage;

    /*
     * 保留10
     */
    @Column(name = "REMAIN10")
    private String remain10;

    /*
     * 严重欠压
     */
    @Column(name = "SERIOUS_LOW_VOLTAGE")
    private String seriousLowVoltage;

    /*
     * 保留11
     */
    @Column(name = "REMAIN11")
    private String remain11;

    /*
     * 保留12
     */
    @Column(name = "REMAIN12")
    private String remain12;

    /*
     * 超速
     */
    @Column(name = "OVER_SPEED")
    private String overSpeed;

    /*
     * 保留13
     */
    @Column(name = "REMAIN13")
    private String remain13;

    /*
     * 保留14
     */
    @Column(name = "REMAIN14")
    private String remain14;

    /*
     * can总线故障
     */
    @Column(name = "CAN_BUS_ERROR")
    private String canBusError;

    /*
     * 中点电压
     */
    @Column(name = "MIDDLE_VOLTAGE")
    private String middleVoltage;

    /*
     * 保留15
     */
    @Column(name = "REMAIN15")
    private String remain15;

    /*
     * 保留16
     */
    @Column(name = "REMAIN16")
    private String remain16;

    /*
     * 保留17
     */
    @Column(name = "REMAIN17")
    private String remain17;

    /*
     * 保留18
     */
    @Column(name = "REMAIN18")
    private String remain18;

    /*
     * 保留19
     */
    @Column(name = "REMAIN19")
    private String remain19;

    /*
     * 保留20
     */
    @Column(name = "REMAIN20")
    private String remain20;

    /*
     * 保留21
     */
    @Column(name = "REMAIN21")
    private String remain21;

    /*
     * 保留22
     */
    @Column(name = "REMAIN22")
    private String remain22;

    /*
     * 保留23
     */
    @Column(name = "REMAIN23")
    private String remain23;

    /*
     * 保留24
     */
    @Column(name = "REMAIN24")
    private String remain24;

    /*
     * 保留25
     */
    @Column(name = "REMAIN25")
    private String remain25;

    /*
     * 档位故障
     */
    @Column(name = "GEAR_ERROR")
    private String gearError;

    /*
     * 油门故障
     */
    @Column(name = "ACCELERATOR_ERROR")
    private String acceleratorError;

    /*
     * 电机一般过温
     */
    @Column(name = "MOTOR_GENERAL_OVER_TEMPERATURE")
    private String motorGeneralOverTemperature;

    /*
     * 电机严重过温
     */
    @Column(name = "MOTOR_SERIOUS_OVER_TEMPERATURE")
    private String motorSeriousOverTemperature;

    /*
     * 最大驱动转矩
     */
    @Column(name = "MAX_DRIVE_TORQUE")
    private String maxDriveTorque;

    /*
     * 最大驱动转速
     */
    @Column(name = "MAX_DRIVE_RPM")
    private String maxDriveRpm;

    /*
     * 车辆行驶里程
     */
    @Column(name = "VEHICLE_MILES_TRAVELED")
    private String vehicleMilesTraveled;

    /*
     * DC/DC温度报警
     */
    @Column(name = "DC_TEMPERATURE_ALARM")
    private String dcTemperatureAlarm;

    /*
     * DC/DC故障报警
     */
    @Column(name = "DC_ERROR_ALARM")
    private String dcErrorAlarm;

    /*
     * DC/DC状态
     */
    @Column(name = "DC_STATUS")
    private String dcStatus;

    /*
     * 制动系统故障
     */
    @Column(name = "BRAKE_SYSTEM_ERROR")
    private String brakeSystemError;

    /*
     * 手刹信号
     */
    @Column(name = "PARK_BRAKE_SIGNAL")
    private String parkBrakeSignal;

    /*
     * 转向信号
     */
    @Column(name = "TURN_SIGNAL")
    private String turnSignal;

    /*
     * 灯光状态
     */
    @Column(name = "LIGHT_STATUS")
    private String lightStatus;

    /*
     * 车速输出
     */
    @Column(name = "VEHICLE_SPEED_OUTPUT")
    private String vehicleSpeedOutput;

    /*
     * ON档状态
     */
    @Column(name = "ON_STATUS")
    private String onStatus;

    /*
     * 主驾安全带
     */
    @Column(name = "DRIVER_SEAT_BELT")
    private String driverSeatBelt;
    

   

    public String getPkTQtdetailVin() {
        return pkTQtdetailVin;
    }

    public void setPkTQtdetailVin(String pkTQtdetailVin) {
        this.pkTQtdetailVin = pkTQtdetailVin;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getVehicle() {
        return vehicle;
    }

    public void setVehicle(String vehicle) {
        this.vehicle = vehicle;
    }

    public String getBatteryTotalVoltage() {
        return batteryTotalVoltage;
    }

    public void setBatteryTotalVoltage(String batteryTotalVoltage) {
        this.batteryTotalVoltage = batteryTotalVoltage;
    }

    public String getCharge() {
        return charge;
    }

    public void setCharge(String charge) {
        this.charge = charge;
    }

    public String getBatteryModularSoc() {
        return batteryModularSoc;
    }

    public void setBatteryModularSoc(String batteryModularSoc) {
        this.batteryModularSoc = batteryModularSoc;
    }

    public String getSingleOverCharge() {
        return singleOverCharge;
    }

    public void setSingleOverCharge(String singleOverCharge) {
        this.singleOverCharge = singleOverCharge;
    }

    public String getSingleOverDischarge() {
        return singleOverDischarge;
    }

    public void setSingleOverDischarge(String singleOverDischarge) {
        this.singleOverDischarge = singleOverDischarge;
    }

    public String getTemperatureOverHigh() {
        return temperatureOverHigh;
    }

    public void setTemperatureOverHigh(String temperatureOverHigh) {
        this.temperatureOverHigh = temperatureOverHigh;
    }

    public String getDischargeOverCurrent() {
        return dischargeOverCurrent;
    }

    public void setDischargeOverCurrent(String dischargeOverCurrent) {
        this.dischargeOverCurrent = dischargeOverCurrent;
    }

    public String getRemain1() {
        return remain1;
    }

    public void setRemain1(String remain1) {
        this.remain1 = remain1;
    }

    public String getInsulationLow() {
        return insulationLow;
    }

    public void setInsulationLow(String insulationLow) {
        this.insulationLow = insulationLow;
    }

    public String getInsolationOverLow() {
        return insolationOverLow;
    }

    public void setInsolationOverLow(String insolationOverLow) {
        this.insolationOverLow = insolationOverLow;
    }

    public String getCommunicationOff() {
        return communicationOff;
    }

    public void setCommunicationOff(String communicationOff) {
        this.communicationOff = communicationOff;
    }

    public String getTotalVoltageOverHigh() {
        return totalVoltageOverHigh;
    }

    public void setTotalVoltageOverHigh(String totalVoltageOverHigh) {
        this.totalVoltageOverHigh = totalVoltageOverHigh;
    }

    public String getTotalVoltageOverLow() {
        return totalVoltageOverLow;
    }

    public void setTotalVoltageOverLow(String totalVoltageOverLow) {
        this.totalVoltageOverLow = totalVoltageOverLow;
    }

    public String getChargeOverCurrent() {
        return chargeOverCurrent;
    }

    public void setChargeOverCurrent(String chargeOverCurrent) {
        this.chargeOverCurrent = chargeOverCurrent;
    }

    public String getTemperatureOverLow() {
        return temperatureOverLow;
    }

    public void setTemperatureOverLow(String temperatureOverLow) {
        this.temperatureOverLow = temperatureOverLow;
    }

    public String getExcessiveTemperatureDiff() {
        return excessiveTemperatureDiff;
    }

    public void setExcessiveTemperatureDiff(String excessiveTemperatureDiff) {
        this.excessiveTemperatureDiff = excessiveTemperatureDiff;
    }

    public String getExcessiveVoltageDiff() {
        return excessiveVoltageDiff;
    }

    public void setExcessiveVoltageDiff(String excessiveVoltageDiff) {
        this.excessiveVoltageDiff = excessiveVoltageDiff;
    }

    public String getTemperatureRiseOverFast() {
        return temperatureRiseOverFast;
    }

    public void setTemperatureRiseOverFast(String temperatureRiseOverFast) {
        this.temperatureRiseOverFast = temperatureRiseOverFast;
    }

    public String getShortCircuitProtection() {
        return shortCircuitProtection;
    }

    public void setShortCircuitProtection(String shortCircuitProtection) {
        this.shortCircuitProtection = shortCircuitProtection;
    }

    public String getBatterySingleMaxVoltage() {
        return batterySingleMaxVoltage;
    }

    public void setBatterySingleMaxVoltage(String batterySingleMaxVoltage) {
        this.batterySingleMaxVoltage = batterySingleMaxVoltage;
    }

    public String getBatterySingleMaxVoltageNo() {
        return batterySingleMaxVoltageNo;
    }

    public void setBatterySingleMaxVoltageNo(String batterySingleMaxVoltageNo) {
        this.batterySingleMaxVoltageNo = batterySingleMaxVoltageNo;
    }

    public String getBatterySingleMinVoltage() {
        return batterySingleMinVoltage;
    }

    public void setBatterySingleMinVoltage(String batterySingleMinVoltage) {
        this.batterySingleMinVoltage = batterySingleMinVoltage;
    }

    public String getBatterySingleMinVoltageNo() {
        return batterySingleMinVoltageNo;
    }

    public void setBatterySingleMinVoltageNo(String batterySingleMinVoltageNo) {
        this.batterySingleMinVoltageNo = batterySingleMinVoltageNo;
    }

    public String getBatteryMaxTemperature() {
        return batteryMaxTemperature;
    }

    public void setBatteryMaxTemperature(String batteryMaxTemperature) {
        this.batteryMaxTemperature = batteryMaxTemperature;
    }

    public String getBatteryMaxTemperatureNo() {
        return batteryMaxTemperatureNo;
    }

    public void setBatteryMaxTemperatureNo(String batteryMaxTemperatureNo) {
        this.batteryMaxTemperatureNo = batteryMaxTemperatureNo;
    }

    public String getBatteryMinTemperature() {
        return batteryMinTemperature;
    }

    public void setBatteryMinTemperature(String batteryMinTemperature) {
        this.batteryMinTemperature = batteryMinTemperature;
    }

    public String getBatteryMinTemperatureNo() {
        return batteryMinTemperatureNo;
    }

    public void setBatteryMinTemperatureNo(String batteryMinTemperatureNo) {
        this.batteryMinTemperatureNo = batteryMinTemperatureNo;
    }

    public String getPositiveInsulationResistance() {
        return positiveInsulationResistance;
    }

    public void setPositiveInsulationResistance(String positiveInsulationResistance) {
        this.positiveInsulationResistance = positiveInsulationResistance;
    }

    public String getNegativeInsulationResistance() {
        return negativeInsulationResistance;
    }

    public void setNegativeInsulationResistance(String negativeInsulationResistance) {
        this.negativeInsulationResistance = negativeInsulationResistance;
    }

    public String getSoh() {
        return soh;
    }

    public void setSoh(String soh) {
        this.soh = soh;
    }

    public String getDischargeRelayStatus() {
        return dischargeRelayStatus;
    }

    public void setDischargeRelayStatus(String dischargeRelayStatus) {
        this.dischargeRelayStatus = dischargeRelayStatus;
    }

    public String getChargeRelayStatus() {
        return chargeRelayStatus;
    }

    public void setChargeRelayStatus(String chargeRelayStatus) {
        this.chargeRelayStatus = chargeRelayStatus;
    }

    public String getPreChargeRelayStatus() {
        return preChargeRelayStatus;
    }

    public void setPreChargeRelayStatus(String preChargeRelayStatus) {
        this.preChargeRelayStatus = preChargeRelayStatus;
    }

    public String getChargeConnectionStatus() {
        return chargeConnectionStatus;
    }

    public void setChargeConnectionStatus(String chargeConnectionStatus) {
        this.chargeConnectionStatus = chargeConnectionStatus;
    }

    public String getChargeStatus() {
        return chargeStatus;
    }

    public void setChargeStatus(String chargeStatus) {
        this.chargeStatus = chargeStatus;
    }

    public String getBmsSystemError() {
        return bmsSystemError;
    }

    public void setBmsSystemError(String bmsSystemError) {
        this.bmsSystemError = bmsSystemError;
    }

    public String getRelayAdhesion() {
        return relayAdhesion;
    }

    public void setRelayAdhesion(String relayAdhesion) {
        this.relayAdhesion = relayAdhesion;
    }

    public String getRemain2() {
        return remain2;
    }

    public void setRemain2(String remain2) {
        this.remain2 = remain2;
    }

    public String getChargeCycleTime() {
        return chargeCycleTime;
    }

    public void setChargeCycleTime(String chargeCycleTime) {
        this.chargeCycleTime = chargeCycleTime;
    }

    public String getRemainJourneyOutput() {
        return remainJourneyOutput;
    }

    public void setRemainJourneyOutput(String remainJourneyOutput) {
        this.remainJourneyOutput = remainJourneyOutput;
    }

    public String getVehicleType() {
        return vehicleType;
    }

    public void setVehicleType(String vehicleType) {
        this.vehicleType = vehicleType;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getHardwareNo() {
        return hardwareNo;
    }

    public void setHardwareNo(String hardwareNo) {
        this.hardwareNo = hardwareNo;
    }

    public String getSoftwareNo() {
        return softwareNo;
    }

    public void setSoftwareNo(String softwareNo) {
        this.softwareNo = softwareNo;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getDay() {
        return day;
    }

    public void setDay(String day) {
        this.day = day;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSingle1Voltage() {
        return single1Voltage;
    }

    public void setSingle1Voltage(String single1Voltage) {
        this.single1Voltage = single1Voltage;
    }

    public String getSingle2Voltage() {
        return single2Voltage;
    }

    public void setSingle2Voltage(String single2Voltage) {
        this.single2Voltage = single2Voltage;
    }

    public String getSingle3Voltage() {
        return single3Voltage;
    }

    public void setSingle3Voltage(String single3Voltage) {
        this.single3Voltage = single3Voltage;
    }

    public String getSingle4Voltage() {
        return single4Voltage;
    }

    public void setSingle4Voltage(String single4Voltage) {
        this.single4Voltage = single4Voltage;
    }

    public String getSingle5Voltage() {
        return single5Voltage;
    }

    public void setSingle5Voltage(String single5Voltage) {
        this.single5Voltage = single5Voltage;
    }

    public String getSingle6Voltage() {
        return single6Voltage;
    }

    public void setSingle6Voltage(String single6Voltage) {
        this.single6Voltage = single6Voltage;
    }

    public String getSingle7Voltage() {
        return single7Voltage;
    }

    public void setSingle7Voltage(String single7Voltage) {
        this.single7Voltage = single7Voltage;
    }

    public String getSingle8Voltage() {
        return single8Voltage;
    }

    public void setSingle8Voltage(String single8Voltage) {
        this.single8Voltage = single8Voltage;
    }

    public String getSingle9Voltage() {
        return single9Voltage;
    }

    public void setSingle9Voltage(String single9Voltage) {
        this.single9Voltage = single9Voltage;
    }

    public String getSingle10Voltage() {
        return single10Voltage;
    }

    public void setSingle10Voltage(String single10Voltage) {
        this.single10Voltage = single10Voltage;
    }

    public String getSingle11Voltage() {
        return single11Voltage;
    }

    public void setSingle11Voltage(String single11Voltage) {
        this.single11Voltage = single11Voltage;
    }

    public String getSingle12Voltage() {
        return single12Voltage;
    }

    public void setSingle12Voltage(String single12Voltage) {
        this.single12Voltage = single12Voltage;
    }

    public String getSingle13Voltage() {
        return single13Voltage;
    }

    public void setSingle13Voltage(String single13Voltage) {
        this.single13Voltage = single13Voltage;
    }

    public String getSingle14Voltage() {
        return single14Voltage;
    }

    public void setSingle14Voltage(String single14Voltage) {
        this.single14Voltage = single14Voltage;
    }

    public String getSingle15Voltage() {
        return single15Voltage;
    }

    public void setSingle15Voltage(String single15Voltage) {
        this.single15Voltage = single15Voltage;
    }

    public String getSingle16Voltage() {
        return single16Voltage;
    }

    public void setSingle16Voltage(String single16Voltage) {
        this.single16Voltage = single16Voltage;
    }

    public String getSingle17Voltage() {
        return single17Voltage;
    }

    public void setSingle17Voltage(String single17Voltage) {
        this.single17Voltage = single17Voltage;
    }

    public String getSingle18Voltage() {
        return single18Voltage;
    }

    public void setSingle18Voltage(String single18Voltage) {
        this.single18Voltage = single18Voltage;
    }

    public String getSingle19Voltage() {
        return single19Voltage;
    }

    public void setSingle19Voltage(String single19Voltage) {
        this.single19Voltage = single19Voltage;
    }

    public String getSingle20Voltage() {
        return single20Voltage;
    }

    public void setSingle20Voltage(String single20Voltage) {
        this.single20Voltage = single20Voltage;
    }

    public String getSingle21Voltage() {
        return single21Voltage;
    }

    public void setSingle21Voltage(String single21Voltage) {
        this.single21Voltage = single21Voltage;
    }

    public String getSingle22Voltage() {
        return single22Voltage;
    }

    public void setSingle22Voltage(String single22Voltage) {
        this.single22Voltage = single22Voltage;
    }

    public String getSingle23Voltage() {
        return single23Voltage;
    }

    public void setSingle23Voltage(String single23Voltage) {
        this.single23Voltage = single23Voltage;
    }

    public String getSingle24Voltage() {
        return single24Voltage;
    }

    public void setSingle24Voltage(String single24Voltage) {
        this.single24Voltage = single24Voltage;
    }

    public String getSingle25Voltage() {
        return single25Voltage;
    }

    public void setSingle25Voltage(String single25Voltage) {
        this.single25Voltage = single25Voltage;
    }

    public String getSingle26Voltage() {
        return single26Voltage;
    }

    public void setSingle26Voltage(String single26Voltage) {
        this.single26Voltage = single26Voltage;
    }

    public String getSingle27Voltage() {
        return single27Voltage;
    }

    public void setSingle27Voltage(String single27Voltage) {
        this.single27Voltage = single27Voltage;
    }

    public String getSingle28Voltage() {
        return single28Voltage;
    }

    public void setSingle28Voltage(String single28Voltage) {
        this.single28Voltage = single28Voltage;
    }

    public String getSingle29Voltage() {
        return single29Voltage;
    }

    public void setSingle29Voltage(String single29Voltage) {
        this.single29Voltage = single29Voltage;
    }

    public String getSingle30Voltage() {
        return single30Voltage;
    }

    public void setSingle30Voltage(String single30Voltage) {
        this.single30Voltage = single30Voltage;
    }

    public String getSingle31Voltage() {
        return single31Voltage;
    }

    public void setSingle31Voltage(String single31Voltage) {
        this.single31Voltage = single31Voltage;
    }

    public String getSingle32Voltage() {
        return single32Voltage;
    }

    public void setSingle32Voltage(String single32Voltage) {
        this.single32Voltage = single32Voltage;
    }

    public String getSingle33Voltage() {
        return single33Voltage;
    }

    public void setSingle33Voltage(String single33Voltage) {
        this.single33Voltage = single33Voltage;
    }

    public String getSingle34Voltage() {
        return single34Voltage;
    }

    public void setSingle34Voltage(String single34Voltage) {
        this.single34Voltage = single34Voltage;
    }

    public String getSingle35Voltage() {
        return single35Voltage;
    }

    public void setSingle35Voltage(String single35Voltage) {
        this.single35Voltage = single35Voltage;
    }

    public String getSingle36Voltage() {
        return single36Voltage;
    }

    public void setSingle36Voltage(String single36Voltage) {
        this.single36Voltage = single36Voltage;
    }

    public String getSingle37Voltage() {
        return single37Voltage;
    }

    public void setSingle37Voltage(String single37Voltage) {
        this.single37Voltage = single37Voltage;
    }

    public String getSingle38Voltage() {
        return single38Voltage;
    }

    public void setSingle38Voltage(String single38Voltage) {
        this.single38Voltage = single38Voltage;
    }

    public String getSingle39Voltage() {
        return single39Voltage;
    }

    public void setSingle39Voltage(String single39Voltage) {
        this.single39Voltage = single39Voltage;
    }

    public String getSingle40Voltage() {
        return single40Voltage;
    }

    public void setSingle40Voltage(String single40Voltage) {
        this.single40Voltage = single40Voltage;
    }

    public String getTemperature1() {
        return temperature1;
    }

    public void setTemperature1(String temperature1) {
        this.temperature1 = temperature1;
    }

    public String getTemperature2() {
        return temperature2;
    }

    public void setTemperature2(String temperature2) {
        this.temperature2 = temperature2;
    }

    public String getTemperature3() {
        return temperature3;
    }

    public void setTemperature3(String temperature3) {
        this.temperature3 = temperature3;
    }

    public String getTemperature4() {
        return temperature4;
    }

    public void setTemperature4(String temperature4) {
        this.temperature4 = temperature4;
    }

    public String getTemperature5() {
        return temperature5;
    }

    public void setTemperature5(String temperature5) {
        this.temperature5 = temperature5;
    }

    public String getTemperature6() {
        return temperature6;
    }

    public void setTemperature6(String temperature6) {
        this.temperature6 = temperature6;
    }

    public String getTemperature7() {
        return temperature7;
    }

    public void setTemperature7(String temperature7) {
        this.temperature7 = temperature7;
    }

    public String getTemperature8() {
        return temperature8;
    }

    public void setTemperature8(String temperature8) {
        this.temperature8 = temperature8;
    }

    public String getBrakePedalTravel() {
        return brakePedalTravel;
    }

    public void setBrakePedalTravel(String brakePedalTravel) {
        this.brakePedalTravel = brakePedalTravel;
    }

    public String getAcceleratorPedalTravel() {
        return acceleratorPedalTravel;
    }

    public void setAcceleratorPedalTravel(String acceleratorPedalTravel) {
        this.acceleratorPedalTravel = acceleratorPedalTravel;
    }

    public String getMotorTargetOutputTorque() {
        return motorTargetOutputTorque;
    }

    public void setMotorTargetOutputTorque(String motorTargetOutputTorque) {
        this.motorTargetOutputTorque = motorTargetOutputTorque;
    }

    public String getMotorTargetOutputRpm() {
        return motorTargetOutputRpm;
    }

    public void setMotorTargetOutputRpm(String motorTargetOutputRpm) {
        this.motorTargetOutputRpm = motorTargetOutputRpm;
    }

    public String getStop() {
        return stop;
    }

    public void setStop(String stop) {
        this.stop = stop;
    }

    public String getIdle1() {
        return idle1;
    }

    public void setIdle1(String idle1) {
        this.idle1 = idle1;
    }

    public String getForwardDrive() {
        return forwardDrive;
    }

    public void setForwardDrive(String forwardDrive) {
        this.forwardDrive = forwardDrive;
    }

    public String getBrake() {
        return brake;
    }

    public void setBrake(String brake) {
        this.brake = brake;
    }

    public String getReverseDrive() {
        return reverseDrive;
    }

    public void setReverseDrive(String reverseDrive) {
        this.reverseDrive = reverseDrive;
    }

    public String getMainConnection1() {
        return mainConnection1;
    }

    public void setMainConnection1(String mainConnection1) {
        this.mainConnection1 = mainConnection1;
    }

    public String getRpmMode() {
        return rpmMode;
    }

    public void setRpmMode(String rpmMode) {
        this.rpmMode = rpmMode;
    }

    public String getCan() {
        return can;
    }

    public void setCan(String can) {
        this.can = can;
    }

    public String getRemain3() {
        return remain3;
    }

    public void setRemain3(String remain3) {
        this.remain3 = remain3;
    }

    public String getRemain4() {
        return remain4;
    }

    public void setRemain4(String remain4) {
        this.remain4 = remain4;
    }

    public String getRemain5() {
        return remain5;
    }

    public void setRemain5(String remain5) {
        this.remain5 = remain5;
    }

    public String getRemain6() {
        return remain6;
    }

    public void setRemain6(String remain6) {
        this.remain6 = remain6;
    }

    public String getRemain7() {
        return remain7;
    }

    public void setRemain7(String remain7) {
        this.remain7 = remain7;
    }

    public String getRemain8() {
        return remain8;
    }

    public void setRemain8(String remain8) {
        this.remain8 = remain8;
    }

    public String getCanlife() {
        return canlife;
    }

    public void setCanlife(String canlife) {
        this.canlife = canlife;
    }

    public String getMotorOutputTorque() {
        return motorOutputTorque;
    }

    public void setMotorOutputTorque(String motorOutputTorque) {
        this.motorOutputTorque = motorOutputTorque;
    }

    public String getMotorOutputRpm() {
        return motorOutputRpm;
    }

    public void setMotorOutputRpm(String motorOutputRpm) {
        this.motorOutputRpm = motorOutputRpm;
    }

    public String getDcCurrent() {
        return dcCurrent;
    }

    public void setDcCurrent(String dcCurrent) {
        this.dcCurrent = dcCurrent;
    }

    public String getStart1() {
        return start1;
    }

    public void setStart1(String start1) {
        this.start1 = start1;
    }

    public String getIdle2() {
        return idle2;
    }

    public void setIdle2(String idle2) {
        this.idle2 = idle2;
    }

    public String getForward1() {
        return forward1;
    }

    public void setForward1(String forward1) {
        this.forward1 = forward1;
    }

    public String getDrive1() {
        return drive1;
    }

    public void setDrive1(String drive1) {
        this.drive1 = drive1;
    }

    public String getError() {
        return error;
    }

    public void setError(String error) {
        this.error = error;
    }

    public String getReady() {
        return ready;
    }

    public void setReady(String ready) {
        this.ready = ready;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getStartWave() {
        return startWave;
    }

    public void setStartWave(String startWave) {
        this.startWave = startWave;
    }

    public String getPreCharge() {
        return preCharge;
    }

    public void setPreCharge(String preCharge) {
        this.preCharge = preCharge;
    }

    public String getMainConnection2() {
        return mainConnection2;
    }

    public void setMainConnection2(String mainConnection2) {
        this.mainConnection2 = mainConnection2;
    }

    public String getGearStatus() {
        return gearStatus;
    }

    public void setGearStatus(String gearStatus) {
        this.gearStatus = gearStatus;
    }

    public String getVoltageBeforeContactor() {
        return voltageBeforeContactor;
    }

    public void setVoltageBeforeContactor(String voltageBeforeContactor) {
        this.voltageBeforeContactor = voltageBeforeContactor;
    }

    public String getVoltageAfterContactor() {
        return voltageAfterContactor;
    }

    public void setVoltageAfterContactor(String voltageAfterContactor) {
        this.voltageAfterContactor = voltageAfterContactor;
    }

    public String getAcEffectiveValue() {
        return acEffectiveValue;
    }

    public void setAcEffectiveValue(String acEffectiveValue) {
        this.acEffectiveValue = acEffectiveValue;
    }

    public String getMotorControllerTemperature() {
        return motorControllerTemperature;
    }

    public void setMotorControllerTemperature(String motorControllerTemperature) {
        this.motorControllerTemperature = motorControllerTemperature;
    }

    public String getMotorTemperature() {
        return motorTemperature;
    }

    public void setMotorTemperature(String motorTemperature) {
        this.motorTemperature = motorTemperature;
    }

    public String getPreChargeError() {
        return preChargeError;
    }

    public void setPreChargeError(String preChargeError) {
        this.preChargeError = preChargeError;
    }

    public String getMainConnectionError() {
        return mainConnectionError;
    }

    public void setMainConnectionError(String mainConnectionError) {
        this.mainConnectionError = mainConnectionError;
    }

    public String getIgbtError() {
        return igbtError;
    }

    public void setIgbtError(String igbtError) {
        this.igbtError = igbtError;
    }

    public String getOverCurrent() {
        return overCurrent;
    }

    public void setOverCurrent(String overCurrent) {
        this.overCurrent = overCurrent;
    }

    public String getMotorControllerGenOverTmp() {
        return motorControllerGenOverTmp;
    }

    public void setMotorControllerGenOverTmp(String motorControllerGenOverTmp) {
        this.motorControllerGenOverTmp = motorControllerGenOverTmp;
    }

    public String getMotorControllerSrsOverTmp() {
        return motorControllerSrsOverTmp;
    }

    public void setMotorControllerSrsOverTmp(String motorControllerSrsOverTmp) {
        this.motorControllerSrsOverTmp = motorControllerSrsOverTmp;
    }

    public String getRemain9() {
        return remain9;
    }

    public void setRemain9(String remain9) {
        this.remain9 = remain9;
    }

    public String getSeriousOverVoltage() {
        return seriousOverVoltage;
    }

    public void setSeriousOverVoltage(String seriousOverVoltage) {
        this.seriousOverVoltage = seriousOverVoltage;
    }

    public String getRemain10() {
        return remain10;
    }

    public void setRemain10(String remain10) {
        this.remain10 = remain10;
    }

    public String getSeriousLowVoltage() {
        return seriousLowVoltage;
    }

    public void setSeriousLowVoltage(String seriousLowVoltage) {
        this.seriousLowVoltage = seriousLowVoltage;
    }

    public String getRemain11() {
        return remain11;
    }

    public void setRemain11(String remain11) {
        this.remain11 = remain11;
    }

    public String getRemain12() {
        return remain12;
    }

    public void setRemain12(String remain12) {
        this.remain12 = remain12;
    }

    public String getOverSpeed() {
        return overSpeed;
    }

    public void setOverSpeed(String overSpeed) {
        this.overSpeed = overSpeed;
    }

    public String getRemain13() {
        return remain13;
    }

    public void setRemain13(String remain13) {
        this.remain13 = remain13;
    }

    public String getRemain14() {
        return remain14;
    }

    public void setRemain14(String remain14) {
        this.remain14 = remain14;
    }

    public String getCanBusError() {
        return canBusError;
    }

    public void setCanBusError(String canBusError) {
        this.canBusError = canBusError;
    }

    public String getMiddleVoltage() {
        return middleVoltage;
    }

    public void setMiddleVoltage(String middleVoltage) {
        this.middleVoltage = middleVoltage;
    }

    public String getRemain15() {
        return remain15;
    }

    public void setRemain15(String remain15) {
        this.remain15 = remain15;
    }

    public String getRemain16() {
        return remain16;
    }

    public void setRemain16(String remain16) {
        this.remain16 = remain16;
    }

    public String getRemain17() {
        return remain17;
    }

    public void setRemain17(String remain17) {
        this.remain17 = remain17;
    }

    public String getRemain18() {
        return remain18;
    }

    public void setRemain18(String remain18) {
        this.remain18 = remain18;
    }

    public String getRemain19() {
        return remain19;
    }

    public void setRemain19(String remain19) {
        this.remain19 = remain19;
    }

    public String getRemain20() {
        return remain20;
    }

    public void setRemain20(String remain20) {
        this.remain20 = remain20;
    }

    public String getRemain21() {
        return remain21;
    }

    public void setRemain21(String remain21) {
        this.remain21 = remain21;
    }

    public String getRemain22() {
        return remain22;
    }

    public void setRemain22(String remain22) {
        this.remain22 = remain22;
    }

    public String getRemain23() {
        return remain23;
    }

    public void setRemain23(String remain23) {
        this.remain23 = remain23;
    }

    public String getRemain24() {
        return remain24;
    }

    public void setRemain24(String remain24) {
        this.remain24 = remain24;
    }

    public String getRemain25() {
        return remain25;
    }

    public void setRemain25(String remain25) {
        this.remain25 = remain25;
    }

    public String getGearError() {
        return gearError;
    }

    public void setGearError(String gearError) {
        this.gearError = gearError;
    }

    public String getAcceleratorError() {
        return acceleratorError;
    }

    public void setAcceleratorError(String acceleratorError) {
        this.acceleratorError = acceleratorError;
    }

    public String getMotorGeneralOverTemperature() {
        return motorGeneralOverTemperature;
    }

    public void setMotorGeneralOverTemperature(String motorGeneralOverTemperature) {
        this.motorGeneralOverTemperature = motorGeneralOverTemperature;
    }

    public String getMotorSeriousOverTemperature() {
        return motorSeriousOverTemperature;
    }

    public void setMotorSeriousOverTemperature(String motorSeriousOverTemperature) {
        this.motorSeriousOverTemperature = motorSeriousOverTemperature;
    }

    public String getMaxDriveTorque() {
        return maxDriveTorque;
    }

    public void setMaxDriveTorque(String maxDriveTorque) {
        this.maxDriveTorque = maxDriveTorque;
    }

    public String getMaxDriveRpm() {
        return maxDriveRpm;
    }

    public void setMaxDriveRpm(String maxDriveRpm) {
        this.maxDriveRpm = maxDriveRpm;
    }

    public String getVehicleMilesTraveled() {
        return vehicleMilesTraveled;
    }

    public void setVehicleMilesTraveled(String vehicleMilesTraveled) {
        this.vehicleMilesTraveled = vehicleMilesTraveled;
    }

    public String getDcTemperatureAlarm() {
        return dcTemperatureAlarm;
    }

    public void setDcTemperatureAlarm(String dcTemperatureAlarm) {
        this.dcTemperatureAlarm = dcTemperatureAlarm;
    }

    public String getDcErrorAlarm() {
        return dcErrorAlarm;
    }

    public void setDcErrorAlarm(String dcErrorAlarm) {
        this.dcErrorAlarm = dcErrorAlarm;
    }

    public String getDcStatus() {
        return dcStatus;
    }

    public void setDcStatus(String dcStatus) {
        this.dcStatus = dcStatus;
    }

    public String getBrakeSystemError() {
        return brakeSystemError;
    }

    public void setBrakeSystemError(String brakeSystemError) {
        this.brakeSystemError = brakeSystemError;
    }

    public String getParkBrakeSignal() {
        return parkBrakeSignal;
    }

    public void setParkBrakeSignal(String parkBrakeSignal) {
        this.parkBrakeSignal = parkBrakeSignal;
    }

    public String getTurnSignal() {
        return turnSignal;
    }

    public void setTurnSignal(String turnSignal) {
        this.turnSignal = turnSignal;
    }

    public String getLightStatus() {
        return lightStatus;
    }

    public void setLightStatus(String lightStatus) {
        this.lightStatus = lightStatus;
    }

    public String getVehicleSpeedOutput() {
        return vehicleSpeedOutput;
    }

    public void setVehicleSpeedOutput(String vehicleSpeedOutput) {
        this.vehicleSpeedOutput = vehicleSpeedOutput;
    }

    public String getOnStatus() {
        return onStatus;
    }

    public void setOnStatus(String onStatus) {
        this.onStatus = onStatus;
    }

    public String getDriverSeatBelt() {
        return driverSeatBelt;
    }

    public void setDriverSeatBelt(String driverSeatBelt) {
        this.driverSeatBelt = driverSeatBelt;
    }
}