package com.catarc.traceability.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @ProjectName:traceability
 * @ClassName:Journal.java
 * @Description: 质检管理实体类
 * @Copyright: Copyright (c) 2017
 * @author:zhengduoduo
 * @email: 1229784932@qq.com
 * @date 2017年8月28日 上午9:25:10
 * @version V1.0
 */

@Table(name = "T_QUALI_TEST")
@Entity
public class QualityTest implements Serializable {
	
	private static final long serialVersionUID = -1782836883934014774L;

	/*
	 * VIN码
	 */
	@Id
	@Column(name = "PK_T_QUALI_TEST_VIN")
    private String vin;
	
	/*
	 * 负责科室
	 */
	@Column(name = "RESPON_DEP")
    private String responseDepartment;
	
	/*
	 * 下线质检时间
	 */
	@Column(name = "INSOFF_TIME")
    private Date inspectionoffTime;
	
	/*
	 * 下线质检人员
	 */
	@Column(name = "INSOFF_PER")
    private String inspectionoffPerson;
	
	/*
	 * 下线质检结果
	 */
	@Column(name = "INSOFF_RES")
    private String inspectionoffResult;
	
	/*
	 * 入库质检人员
	 */
	@Column(name = "QUAINS_PER")
    private String qualityinspectPerson;
	
	/*
	 * 入库质检结果
	 */
	@Column(name = "QUAINS_RES")
    private String qualityinspectResult;
	
	/*
	 * 入库质检时间
	 */
	@Column(name = "QUAINS_TIME")
    private Date qualityinspectTime;
	
	/*
	 * 创建时间
	 */
	@Column(name = "CTIME")
    private Date createTime;
	
	/*
	 * 更新时间
	 */
	@Column(name = "UTIME")
    private Date updateTime;
	
	/*
	 * 删除标识
	 */
	@Column(name = "DEFLAG")
    private Integer delFlag;
	
	/*
	 * 入库时间
	 */
	@Column(name = "STORAGE_TIME")
	private Date storagetime;
	
	/**
	 * 分页参数
	 */
	@Transient
	private Integer page;
	/**
	 * 分页
	 */
	@Transient
	private Integer limit;
	
	
	private String startTime;
	
	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	private String endTime;
	

	
	
    public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public Date getStoragetime() {
		return storagetime;
	}

	public void setStoragetime(Date storagetime) {
		this.storagetime = storagetime;
	}

	
    public String getVin() {
        return vin;
    }

    public void setVin(String vin) {
        this.vin = vin;
    }

    public String getResponseDepartment() {
        return responseDepartment;
    }

    public void setResponseDepartment(String responseDepartment) {
        this.responseDepartment = responseDepartment;
    }

    public Date getInspectionoffTime() {
        return inspectionoffTime;
    }

    public void setInspectionoffTime(Date inspectionoffTime) {
        this.inspectionoffTime = inspectionoffTime;
    }

    public String getInspectionoffPerson() {
        return inspectionoffPerson;
    }

    public void setInspectionoffPerson(String inspectionoffPerson) {
        this.inspectionoffPerson = inspectionoffPerson;
    }

    public String getInspectionoffResult() {
        return inspectionoffResult;
    }

    public void setInspectionoffResult(String inspectionoffResult) {
        this.inspectionoffResult = inspectionoffResult;
    }

    public String getQualityinspectPerson() {
        return qualityinspectPerson;
    }

    public void setQualityinspectPerson(String qualityinspectPerson) {
        this.qualityinspectPerson = qualityinspectPerson;
    }

    public String getQualityinspectResult() {
        return qualityinspectResult;
    }

    public void setQualityinspectResult(String qualityinspectResult) {
        this.qualityinspectResult = qualityinspectResult;
    }

    public Date getQualityinspectTime() {
        return qualityinspectTime;
    }

    public void setQualityinspectTime(Date qualityinspectTime) {
        this.qualityinspectTime = qualityinspectTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}