package com.catarc.traceability.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Id;

public class Result implements Serializable {

	private static final long serialVersionUID = -1737400395476938244L;
	
	/**
	 * VIN码
	 */
	@Id
	@Column(name="PK_T_RESULT_VIN")
	private String pkTResultVin;
	
	/**
	 * 车型
	 */
	@Column(name="MODELS")
    private String models;

	/**
	 * 测试日期
	 */
	@Column(name="TEST_DATA")
    private String testData;

	/**
	 * 测试时间
	 */
	@Column(name="TEST_TIME")
    private String testTime;

	/**
	 * 总结果
	 */
	@Column(name="TO_RESULT")
    private String toResult;

	/**
	 * ABS报警灯  
	 * Fail 或 Pass （不合格 或合格）
	 */
	@Column(name="ABS_LAMP")
    private String absLamp;

	/**
	 *  ABSpump 
	 *  Fail 或 Pass
	 */
	@Column(name="ABS_PUMP")
    private String absPump;

	/**
	 * DTCCode 
	 * None 或 Have 加错误代码
	 */
	@Column(name="DTC_CODE")
    private String dtcCode;

	/**
	 * ECUID
	 */
	@Column(name="ECUID")
    private String ecuid;

	/**
	 * PedalCheck 
	 * Fail 或 Pass
	 */
	@Column(name="PEDAL_CHECK")
    private String pedalCheck;

	/**
	 * 前左轮速
	 */
	@Column(name="F_L_SPEED")
    private String fLSpeed;

	/**
	 * 前左轮速评判
	 *  O 或 X  （合格 或不合格）
	 */
	@Column(name="F_L_SPEED_JUD")
    private String fLSpeedJud;

	/**
	 * 前右轮速
	 */
	@Column(name="F_R_SPEED")
    private String fRSpeed;

	/**
	 * 前右轮速评判
	 */
	@Column(name="F_R_SPEED_JUD")
    private String fRSpeedJud;

	/**
	 * 后左轮速
	 */
	@Column(name="B_L_SPEED")
    private String bLSpeed;

	/**
	 * 后左轮速评判
	 */
	@Column(name="B_L_SPEED_JUD")
    private String bLSpeedJud;

	/**
	 * 后右轮速
	 */
	@Column(name="B_R_SPEED")
    private String bRSpeed;

	/**
	 * 后右轮速评判
	 */
	@Column(name="B_R_SPEED_JUD")
    private String bRSpeedJud;

	/**
	 * 前左升压
	 */
	@Column(name="F_L_BOOST")
    private String fLBoost;

	/**
	 * 前左升压评判
	 */
	@Column(name="F_L_BOOST_JUD")
    private String fLBoostJud;

	/**
	 * 前右升压
	 */
	@Column(name="F_R_BOOST")
    private String fRBoost;

	/**
	 * 前右升压评判
	 */
	@Column(name="F_R_BOOST_JUD")
    private String fRBoostJud;

	/**
	 * 后左升压
	 */
	@Column(name="B_L_BOOST")
    private String bLBoost;

	/**
	 * 后左升压评判
	 */
	@Column(name="B_L_BOOST_JUD")
    private String bLBoostJud;

	/**
	 * 后右升压
	 */
	@Column(name="B_R_BOOST")
    private String bRBoost;

	/**
	 * 后右升压评判
	 */
	@Column(name="B_R_BOOST_JUD")
    private String bRBoostJud;

	/**
	 * 前左减压
	 */
	@Column(name="F_L_RP")
    private String fLRp;

	/**
	 * 前左减压评判
	 */
	@Column(name="F_L_RP_JUD")
    private String fLRpJud;

	/**
	 * 前右减压
	 */
	@Column(name="F_R_RP")
    private String fRRp;

	/**
	 * 前右减压评判
	 */
	@Column(name="前右减压评判")
    private String fRRpJud;
	
	/**
	 * 后左减压
	 */
	@Column(name="B_L_RP")
    private String bLRp;

	/**
	 * 后左减压评判
	 */
	@Column(name="B_L_RP_JUD")
    private String bLRpJud;

	/**
	 * 后右减压
	 */
	@Column(name="B_R_RP")
    private String bRRp;

	/**
	 * 后右减压评判
	 */
	@Column(name="B_R_RP_JUD")
    private String bRRpJud;

	/**
	 * 左近光光强
	 */
	@Column(name="L_DL_ITS")
    private String lDlIts;
	
	/**
	 * 左近光光强评判
	 */
	@Column(name="L_DL_ITS_JUD")
    private String lDlItsJud;
	
	/**
	 * 左近光上下偏
	 */
	@Column(name="L_DL_UD_SHIFT")
    private String lDlUdShift;

	/**
	 * 左近光上下偏评判
	 */
	@Column(name="L_DL_UD_SHIFT_JUD")
    private String lDlUdShiftJud;

	/**
	 * 左近光左右偏
	 */
	@Column(name="L_DL_LR_SHIFT")
    private String lDlLrShift;

	/**
	 * 左近光左右偏评判
	 */
	@Column(name="L_DL_LR_SHIFT_JUD")
    private String lDlLrShiftJud;

	/**
	 * 左远光光强
	 */
	@Column(name="L_HB_ITS")
    private String lHbIts;

	/**
	 * 左远光光强评判
	 */
	@Column(name="L_HB_ITS_JUD")
    private String lHbItsJud;

	/**
	 * 左远光上下偏
	 */
	@Column(name="L_HB_UD_SHIFT")
    private String lHbUdShift;

	/**
	 * 左远光上下偏评判
	 */
	@Column(name="L_HB_UD_SHIFT_JUD")
    private String lHbUdShiftJud;

	/**
	 * 左远光左右偏
	 */
	@Column(name="L_HB_LR_SHIFT")
    private String lHbLrShift;

	/**
	 * 左远光左右偏评判
	 */
	@Column(name="L_HB_LR_SHITF_JUD")
    private String lHbLrShitfJud;

	/**
	 * 右近光光强
	 */
	@Column(name="R_DL_ITS")
    private String rDlIts;

	/**
	 * 右近光光强评判
	 */
	@Column(name="R_DL_ITS_JUD")
    private String rDlItsJud;

	/**
	 * 右近光上下偏
	 */
	@Column(name="R_DL_UD_SHIFT")
    private String rDlUdShift;
	
	/**
	 * 右近光上下偏评判
	 */
	
	@Column(name="R_DL_UD_SHIFT_JUD")
    private String rDlUdShiftJud;

	/**
	 * 右近光左右偏
	 */
	@Column(name="R_DL_LR_SHIFT")
    private String rDlLrShift;

	/**
	 * 右近光左右偏评判
	 */
	@Column(name="R_DL_LR_SHIFT_JUD")
    private String rDlLrShiftJud;

	/**
	 * 右远光光强
	 */
	@Column(name="R_HB_ITS")
    private String rHbIts;

	/**
	 * 右远光光强评判
	 */
	@Column(name="R_HB_ITS_JUD")
    private String rHbItsJud;

	/**
	 * 右远光上下偏
	 */
	@Column(name="R_HB_UD_SHIFT")
    private String rHbUdShift;

	/**
	 * 右远光上下偏评判
	 */
	@Column(name="R_HB_UD_SHIFT_JUD")
    private String rHbUdShiftJud;

	/**
	 * 右远光左右偏
	 */
	@Column(name="R_HB_LR_SHIFT")
    private String rHbLrShift;

	/**
	 * 右远光左右偏评判
	 */
	@Column(name="R_HB_LR_SHIFT_JUD")
    private String rHbLrShiftJud;

	/**
	 * 前轮前束左
	 */
	@Column(name="L_TI")
    private String lTi;

	/**
	 * 前轮前束左评判
	 */
	@Column(name="L_TI_JUD")
    private String lTiJud;

	/**
	 * 前轮前束右
	 */
	@Column(name="R_TI")
    private String rTi;

	/**
	 * 前轮前束右评判
	 */
	@Column(name="R_TI_JUD")
    private String rTiJud;

	/**
	 * 前轮前束
	 */
	@Column(name="TI")
    private String ti;

	/**
	 * 前轮前束评判
	 */	
	@Column(name="TI_JUD")
    private String tiJud;

	/**
	 * 前轮外倾左
	 */
	@Column(name="L_CAMBER")
    private String lCamber;

	/**
	 * 前轮外倾左评判
	 */
	@Column(name="L_CAMBER_JUD")
    private String lCamberJud;

	/**
	 * 前轮外倾右
	 */
	@Column(name="R_CAMBER")
    private String rCamber;

	/**
	 * 前轮外倾右评判
	 */
	@Column(name="R_CAMBER_JUD")
    private String rCamberJud;

	/**
	 * 前轮外倾
	 */
	@Column(name="CAMBER")
    private String camber;

	/**
	 * 前轮外倾评判
	 */
	@Column(name="CAMBER_JUD")
    private String camberJud;

	/**
	 * 后轮前束左
	 */
	@Column(name="L_RWT")
    private String lRwt;

	/**
	 * 后轮前束左评判
	 */
	@Column(name="L_RWT_JUD")
    private String lRwtJud;

	/**
	 * 后轮前束右
	 */
	@Column(name="R_RWT")
    private String rRwt;

	/**
	 * 后轮前束右评判
	 */
	@Column(name="R_RWT_JUD")
    private String rRwtJud;

	/**
	 * 后轮前束
	 */
	@Column(name="RWT")
    private String rwt;

	/**
	 * 后轮前束评判
	 */
	@Column(name="RWT_JUD")
    private String rwtJud;

	/**
	 * 后轮外倾左
	 */
	@Column(name="L_RWC")
    private String lRwc;

	/**
	 * 后轮外倾左评判
	 */
	@Column(name="L_RWC_JUD")
    private String lRwcJud;

	/**
	 * 后轮外倾右
	 */
	@Column(name="R_RWC")
    private String rRwc;

	/**
	 * 后轮外倾右评判
	 */
	@Column(name="R_RWC_JUD")
    private String rRwcJud;

	/**
	 * 后轮外倾
	 */
	@Column(name="RWC")
    private String rwc;

	/**
	 * 后轮外倾评判
	 */
	@Column(name="RWC_JUD")
    private String rwcJud;

	/**
	 * 主销后倾左
	 */
	@Column(name="L_CASTER")
    private String lCaster;

	/**
	 * 主销后倾左评判
	 */
	@Column(name="L_CASTER_JUD")
    private String lCasterJud;
	
	/**
	 * 主销后倾右
	 */
	@Column(name="R_CASTER")
    private String rCaster;

	/**
	 * 主销后倾右评判
	 */
	
	@Column(name="R_CASTER_JUD")
    private String rCasterJud;

	/**
	 * 主销内倾左
	 */
	@Column(name="L_KI")
    private String lKi;

	/**
	 * 主销内倾左评判
	 */
	@Column(name="L_KI_JUD")
    private String lKiJud;

	/**
	 * 主销内倾右
	 */
	@Column(name="R_KI")
    private String rKi;

	/**
	 * 主销内倾右评判
	 */
	@Column(name="R_KI_JUD")
    private String rKiJud;

	/**
	 * 左最大转角
	 */
	@Column(name="L_MAX_TA")
    private String lMaxTa;

	/**
	 * 左最大转角评判
	 */
	@Column(name="L_MAX_TA_JUD")
    private String lMaxTaJud;

	/**
	 * 右最大转角
	 */
	@Column(name="R_MAX_TA")
    private String rMaxTa;

	/**
	 * 右最大转角评判
	 */
	@Column(name="R_MAX_TA_JUD")
    private String rMaxTaJud;

	/**
	 * 速度数据
	 */
	@Column(name="SPEED_DATA")
    private String speedData;
	
	/**
	 * 速度数据评判
	 */
	@Column(name="SPEED_DATA_JUD")
    private String speedDataJud;

	/**
	 * 侧滑数据
	 */
	@Column(name="SIDE_DATA")
    private String sideData;

	/**
	 * 侧滑数据评判
	 */
	@Column(name="SIDE_DATA_JUD")
    private String sideDataJud;

	/**
	 * 声级数据
	 */
	@Column(name="SOUND_DATA")
    private String soundData;

	/**
	 * 声级数据评判
	 */
	@Column(name="SOUND_DATA_JUD")
    private String soundDataJud;

	/**
	 * 前左轴重
	 */
	@Column(name="F_L_AXLE_LOAD")
    private String fLAxleLoad;

	/**
	 * 前右轴重
	 */
	@Column(name="F_R_AXLE_LOAD")
    private String fRAxleLoad;

	/**
	 * 后左轴重
	 */
	@Column(name="B_L_AXLE_LOAD")
    private String bLAxleLoad;

	/**
	 * 后右轴重
	 */
	@Column(name="B_R_AXLE_LOAD")
    private String bRAxleLoad;

	/**
	 * 前左拖滞力
	 */
	@Column(name="F_L_DRAG")
    private String fLDrag;

	/**
	 * 前左拖滞力评判
	 */
	@Column(name="F_L_DRAG_JUD")
    private String fLDragJud;

	/**
	 * 前右拖滞力
	 */
	@Column(name="F_R_DRAG")
    private String fRDrag;

	/**
	 * 前右拖滞力评判
	 */
	@Column(name="F_R_DRAG_JUD")
    private String fRDragJud;

	/**
	 * 后左拖滞力
	 */
	@Column(name="B_L_DRAG")
    private String bLDrag;

	/**
	 * 后左拖滞力评判
	 */
	@Column(name="B_L_DRAG_JUD")
    private String bLDragJud;

	/**
	 * 后右拖滞力
	 */
	@Column(name="B_R_DRAG")
    private String bRDrag;

	/**
	 * 后右拖滞力评判
	 */
	@Column(name="B_R_DRAG_JUD")
    private String bRDragJud;

	/**
	 * 前左制动力和
	 */
	@Column(name="F_L_BRAKE_SUM")
    private String fLBrakeSum;

	/**
	 * 前右制动力和
	 */
	@Column(name="F_R_BRAKE_SUM")
    private String fRBrakeSum;

	/**
	 * 后左制动力和
	 */
	@Column(name="B_L_BRAKE_SUM")
    private String bLBrakeSum;

	/**
	 * 后右制动力和
	 */
	@Column(name="B_R_BRAKE_SUM")
    private String bRBrakeSum;

	/**
	 * 后右制动力和评判
	 */
	@Column(name="B_R_BRAKE_SUM_JUD")
    private String bRBrakeSumJud;

	/**
	 * 前左制动力差
	 */
	@Column(name="F_L_BRAKE_DIF")
    private String fLBrakeDif;

	/**
	 * 前左制动力差评判
	 */
	@Column(name="F_L_BRAKE_DIF_JUD")
    private String fLBrakeDifJud;

	/**
	 * 前右制动力差
	 */
	@Column(name="F_R_BRAKE_DIF")
    private String fRBrakeDif;

	/**
	 * 前右制动力差评判
	 */
	@Column(name="F_R_BRAKE_DIF_JUD")
    private String fRBrakeDifJud;

	/**
	 * 后左制动力差
	 */
	@Column(name="B_L_BRAKE_DIF")
    private String bLBrakeDif;

	/**
	 * 后左制动力差评判
	 */
	@Column(name="B_L_BRAKE_DIF_JUD")
    private String bLBrakeDifJud;

	/**
	 * 后右制动力差
	 */
	@Column(name="B_R_BRAKE_DIF")
    private String bRBrakeDif;

	/**
	 * 后右制动力差评判
	 */
	@Column(name="B_R_BRAKE_DIF_JUD")
    private String bRBrakeDifJud;

	/**
	 * 后左驻车力
	 */
	@Column(name="B_L_PARK")
    private String bLPark;

	/**
	 * 后左驻车力评判
	 */
	@Column(name="B_L_PARK_JUD")
    private String bLParkJud;

	/**
	 * 后右驻车力
	 */
	@Column(name="B_R_PARK")
    private String bRPark;

	/**
	 * 后右驻车力评判
	 */
	@Column(name="B_R_PARK_JUD")
    private String bRParkJud;

	/**
	 * 制动总评 
	 * 合格 或 不合格
	 */
	@Column(name="BRAKE_RATING")
    private String brakeRating;

	/**
	 * 大灯总评
	 */
	@Column(name="HEADLIGHT_RATING")
    private String headlightRating;
	
	/**
	 * 定位总评
	 */
	@Column(name="LOCATION_RATING")
    private String locationRating;

	/**
	 * 前轴轴重 
	 * 前左轴重 + 前右轴重
	 */
	@Column(name="F_AXLE_LOAD")
    private String fAxleLoad;

	/**
	 * 后轴轴重
	 * 后左轴重 + 后右轴重
	 */
	@Column(name="B_AXLE_LOAD")
    private String bAxleLoad;

	/**
	 * 前轴左制动力
	 * 前左制动力和 * 10
	 */	
	@Column(name="F_AXLE_L_BRAKE")
    private String fAxleLBrake;

	/**
	 * 前轴右制动力
	 * 前右制动力和 * 10
	 */
	@Column(name="F_AXLE_R_BRAKE")
    private String fAxleRBrake;
	
	/**
	 * 后轴左制动力 后左制动力和 * 10
	 */
	@Column(name="B_AXLE_L_BRAKE")
    private String bAxleLBrake;

	/**
	 * 后轴右制动力 后右制动力和 * 10
	 */
	@Column(name="B_AXLE_R_BRAKE")
    private String bAxleRBrake;

	/**
	 * 前轴制动和
	 */
	@Column(name="F_AXLE_BRAKE_SUM")
    private String fAxleBrakeSum;

	/**
	 * 前轴制动和评判
	 */
	@Column(name="F_AXLE_BRAKE_SUM_JUD")
    private String fAxleBrakeSumJud;

	/**
	 * 前轴制动差
	 */
	@Column(name="F_AXLE_BRAKE_DIF")
    private String fAxleBrakeDif;

	/**
	 * 前轴制动差评判
	 */
	@Column(name="F_AXLE_BRAKE_DIF_JUD")
    private String fAxleBrakeDifJud;

	/**
	 * 后轴制动和
	 */
	@Column(name="B_AXLE_BRAKE_SUM")
    private String bAxleBrakeSum;

	/**
	 * 后轴制动和评判
	 */
	@Column(name="B_AXLE_BRAKE_SUM_JUD")
    private String bAxleBrakeSumJud;

	/**
	 * 后轴制动差
	 */
	@Column(name="B_AXLE_BRAKE_DIF")
    private String bAxleBrakeDif;

	/**
	 * 后轴制动差评判
	 */
	@Column(name="B_AXLE_BRAKE_DIF_JUD")
    private String bAxleBrakeDifJud;

	/**
	 * 前轴阻滞率 
	 * max（前左拖滞力， 前右拖滞力)
	 */
	@Column(name="F_AXLE_BLOCK")
    private String fAxleBlock;

	/**
	 * 前轴阻滞率评判  
	 * 拖滞力评判
	 */
	@Column(name="F_AXLE_BLOCK_JUD")
    private String fAxleBlockJud;

	/**
	 * 后轴阻滞率
	 * max（前左拖滞力， 前右拖滞力）
	 */
	@Column(name="B_AXLE_BLOCK")
    private String bAxleBlock;

	/**
	 * 后轴阻滞率评判
	 * 拖滞力评判
	 */
	@Column(name="B_AXLE_BLOCK_JUD")
    private String bAxleBlockJud;

	/**
	 * 整车制动和
	 */
	@Column(name="CAR_BRAKE_SUM")
    private String carBrakeSum;

	/**
	 * 整车制动和评判
	 */
	@Column(name="CAR_BRAKE_SUM_JUD")
    private String carBrakeSumJud;

	/**
	 * 驻车制动和
	 */
	@Column(name="PARK_BRAKE_SUM")
    private String parkBrakeSum;

	/**
	 * 驻车制动和评判
	 */
	@Column(name="PARK_BRAKE_SUM_JUD")
    private String parkBrakeSumJud;

	/**
	 * 速度误差 速度数据评判
	 */
	@Column(name="SPEED_ERROR")
    private String speedError;

	/**
	 * 前左轮前束
	 * 前轮前束左评判
	 */
	@Column(name="F_L_TI")
    private String fLTi;

	/**
	 * 前右轮前束
	 * 前轮前束右评判
	 */
	@Column(name="F_R_TI")
    private String fRTi;

	/**
	 * 前轮总前束 
	 * 前左前束 + 前右前束 前轮前束判定
	 */
	@Column(name="F_SUM_TI")
    private String fSumTi;

	/**
	 * 前轮外倾差 
	 * 前轮外倾左 - 前轮外倾右
	 */
	@Column(name="F_RWC_DIF")
    private String fRwcDif;

	/**
	 * 前轮外倾差判定
	 */
	@Column(name="F_RWC_DIF_JUD")
    private String fRwcDifJud;

	/**
	 * 主销后倾差
	 * 主销后倾左 - 主销后倾右
	 */
	@Column(name="CASTER_DIF")
    private String casterDif;

	/**
	 * 主销后倾差判定
	 */
	@Column(name="CASTER_DIF_JUD")
    private String casterDifJud;

	/**
	 * 测试数据1
	 */
	@Column(name="TEST_DATA1")
	private String testData1;
	
	/**
	 * 测试时间1
	 */
	@Column(name="TEST_TIME1")
	private String testTime1;
	
	
    public String getTestData1() {
		return testData1;
	}

	public void setTestData1(String testData1) {
		this.testData1 = testData1;
	}

	public String getTestTime1() {
		return testTime1;
	}

	public void setTestTime1(String testTime1) {
		this.testTime1 = testTime1;
	}

	public String getPkTResultVin() {
        return pkTResultVin;
    }

    public void setPkTResultVin(String pkTResultVin) {
        this.pkTResultVin = pkTResultVin;
    }

    public String getModels() {
        return models;
    }

    public void setModels(String models) {
        this.models = models;
    }

    public String getTestData() {
        return testData;
    }

    public void setTestData(String testData) {
        this.testData = testData;
    }

    public String getTestTime() {
        return testTime;
    }

    public void setTestTime(String testTime) {
        this.testTime = testTime;
    }

    public String getToResult() {
        return toResult;
    }

    public void setToResult(String toResult) {
        this.toResult = toResult;
    }

    public String getAbsLamp() {
        return absLamp;
    }

    public void setAbsLamp(String absLamp) {
        this.absLamp = absLamp;
    }

    public String getAbsPump() {
        return absPump;
    }

    public void setAbsPump(String absPump) {
        this.absPump = absPump;
    }

    public String getDtcCode() {
        return dtcCode;
    }

    public void setDtcCode(String dtcCode) {
        this.dtcCode = dtcCode;
    }

    public String getEcuid() {
        return ecuid;
    }

    public void setEcuid(String ecuid) {
        this.ecuid = ecuid;
    }

    public String getPedalCheck() {
        return pedalCheck;
    }

    public void setPedalCheck(String pedalCheck) {
        this.pedalCheck = pedalCheck;
    }

    public String getfLSpeed() {
        return fLSpeed;
    }

    public void setfLSpeed(String fLSpeed) {
        this.fLSpeed = fLSpeed;
    }

    public String getfLSpeedJud() {
        return fLSpeedJud;
    }

    public void setfLSpeedJud(String fLSpeedJud) {
        this.fLSpeedJud = fLSpeedJud;
    }

    public String getfRSpeed() {
        return fRSpeed;
    }

    public void setfRSpeed(String fRSpeed) {
        this.fRSpeed = fRSpeed;
    }

    public String getfRSpeedJud() {
        return fRSpeedJud;
    }

    public void setfRSpeedJud(String fRSpeedJud) {
        this.fRSpeedJud = fRSpeedJud;
    }

    public String getbLSpeed() {
        return bLSpeed;
    }

    public void setbLSpeed(String bLSpeed) {
        this.bLSpeed = bLSpeed;
    }

    public String getbLSpeedJud() {
        return bLSpeedJud;
    }

    public void setbLSpeedJud(String bLSpeedJud) {
        this.bLSpeedJud = bLSpeedJud;
    }

    public String getbRSpeed() {
        return bRSpeed;
    }

    public void setbRSpeed(String bRSpeed) {
        this.bRSpeed = bRSpeed;
    }

    public String getbRSpeedJud() {
        return bRSpeedJud;
    }

    public void setbRSpeedJud(String bRSpeedJud) {
        this.bRSpeedJud = bRSpeedJud;
    }

    public String getfLBoost() {
        return fLBoost;
    }

    public void setfLBoost(String fLBoost) {
        this.fLBoost = fLBoost;
    }

    public String getfLBoostJud() {
        return fLBoostJud;
    }

    public void setfLBoostJud(String fLBoostJud) {
        this.fLBoostJud = fLBoostJud;
    }

    public String getfRBoost() {
        return fRBoost;
    }

    public void setfRBoost(String fRBoost) {
        this.fRBoost = fRBoost;
    }

    public String getfRBoostJud() {
        return fRBoostJud;
    }

    public void setfRBoostJud(String fRBoostJud) {
        this.fRBoostJud = fRBoostJud;
    }

    public String getbLBoost() {
        return bLBoost;
    }

    public void setbLBoost(String bLBoost) {
        this.bLBoost = bLBoost;
    }

    public String getbLBoostJud() {
        return bLBoostJud;
    }

    public void setbLBoostJud(String bLBoostJud) {
        this.bLBoostJud = bLBoostJud;
    }

    public String getbRBoost
() {
        return bRBoost
;
    }

    public void setbRBoost
(String bRBoost
) {
        this.bRBoost
 = bRBoost
;
    }

    public String getbRBoostJud() {
        return bRBoostJud;
    }

    public void setbRBoostJud(String bRBoostJud) {
        this.bRBoostJud = bRBoostJud;
    }

    public String getfLRp() {
        return fLRp;
    }

    public void setfLRp(String fLRp) {
        this.fLRp = fLRp;
    }

    public String getfLRpJud() {
        return fLRpJud;
    }

    public void setfLRpJud(String fLRpJud) {
        this.fLRpJud = fLRpJud;
    }

    public String getfRRp() {
        return fRRp;
    }

    public void setfRRp(String fRRp) {
        this.fRRp = fRRp;
    }

    public String getfRRpJud() {
        return fRRpJud;
    }

    public void setfRRpJud(String fRRpJud) {
        this.fRRpJud = fRRpJud;
    }

    public String getbLRp() {
        return bLRp;
    }

    public void setbLRp(String bLRp) {
        this.bLRp = bLRp;
    }

    public String getbLRpJud() {
        return bLRpJud;
    }

    public void setbLRpJud(String bLRpJud) {
        this.bLRpJud = bLRpJud;
    }

    public String getbRRp() {
        return bRRp;
    }

    public void setbRRp(String bRRp) {
        this.bRRp = bRRp;
    }

    public String getbRRpJud() {
        return bRRpJud;
    }

    public void setbRRpJud(String bRRpJud) {
        this.bRRpJud = bRRpJud;
    }

    public String getlDlIts() {
        return lDlIts;
    }

    public void setlDlIts(String lDlIts) {
        this.lDlIts = lDlIts;
    }

    public String getlDlItsJud() {
        return lDlItsJud;
    }

    public void setlDlItsJud(String lDlItsJud) {
        this.lDlItsJud = lDlItsJud;
    }

    public String getlDlUdShift() {
        return lDlUdShift;
    }

    public void setlDlUdShift(String lDlUdShift) {
        this.lDlUdShift = lDlUdShift;
    }

    public String getlDlUdShiftJud() {
        return lDlUdShiftJud;
    }

    public void setlDlUdShiftJud(String lDlUdShiftJud) {
        this.lDlUdShiftJud = lDlUdShiftJud;
    }

    public String getlDlLrShift() {
        return lDlLrShift;
    }

    public void setlDlLrShift(String lDlLrShift) {
        this.lDlLrShift = lDlLrShift;
    }

    public String getlDlLrShiftJud() {
        return lDlLrShiftJud;
    }

    public void setlDlLrShiftJud(String lDlLrShiftJud) {
        this.lDlLrShiftJud = lDlLrShiftJud;
    }

    public String getlHbIts() {
        return lHbIts;
    }

    public void setlHbIts(String lHbIts) {
        this.lHbIts = lHbIts;
    }

    public String getlHbItsJud() {
        return lHbItsJud;
    }

    public void setlHbItsJud(String lHbItsJud) {
        this.lHbItsJud = lHbItsJud;
    }

    public String getlHbUdShift() {
        return lHbUdShift;
    }

    public void setlHbUdShift(String lHbUdShift) {
        this.lHbUdShift = lHbUdShift;
    }

    public String getlHbUdShiftJud() {
        return lHbUdShiftJud;
    }

    public void setlHbUdShiftJud(String lHbUdShiftJud) {
        this.lHbUdShiftJud = lHbUdShiftJud;
    }

    public String getlHbLrShift() {
        return lHbLrShift;
    }

    public void setlHbLrShift(String lHbLrShift) {
        this.lHbLrShift = lHbLrShift;
    }

    public String getlHbLrShitfJud() {
        return lHbLrShitfJud;
    }

    public void setlHbLrShitfJud(String lHbLrShitfJud) {
        this.lHbLrShitfJud = lHbLrShitfJud;
    }

    public String getrDlIts() {
        return rDlIts;
    }

    public void setrDlIts(String rDlIts) {
        this.rDlIts = rDlIts;
    }


    public String getrDlItsJud() {
		return rDlItsJud;
	}

	public void setrDlItsJud(String rDlItsJud) {
		this.rDlItsJud = rDlItsJud;
	}

	public String getrDlUdShift() {
        return rDlUdShift;
    }

    public void setrDlUdShift(String rDlUdShift) {
        this.rDlUdShift = rDlUdShift;
    }

    public String getrDlUdShiftJud() {
        return rDlUdShiftJud;
    }

    public void setrDlUdShiftJud(String rDlUdShiftJud) {
        this.rDlUdShiftJud = rDlUdShiftJud;
    }

    public String getrDlLrShift() {
        return rDlLrShift;
    }

    public void setrDlLrShift(String rDlLrShift) {
        this.rDlLrShift = rDlLrShift;
    }

    public String getrDlLrShiftJud() {
        return rDlLrShiftJud;
    }

    public void setrDlLrShiftJud(String rDlLrShiftJud) {
        this.rDlLrShiftJud = rDlLrShiftJud;
    }

    public String getrHbIts() {
        return rHbIts;
    }

    public void setrHbIts(String rHbIts) {
        this.rHbIts = rHbIts;
    }

    public String getrHbItsJud() {
        return rHbItsJud;
    }

    public void setrHbItsJud(String rHbItsJud) {
        this.rHbItsJud = rHbItsJud;
    }

    public String getrHbUdShift() {
        return rHbUdShift;
    }

    public void setrHbUdShift(String rHbUdShift) {
        this.rHbUdShift = rHbUdShift;
    }

    public String getrHbUdShiftJud() {
        return rHbUdShiftJud;
    }

    public void setrHbUdShiftJud(String rHbUdShiftJud) {
        this.rHbUdShiftJud = rHbUdShiftJud;
    }

    public String getrHbLrShift() {
        return rHbLrShift;
    }

    public void setrHbLrShift(String rHbLrShift) {
        this.rHbLrShift = rHbLrShift;
    }

    public String getrHbLrShiftJud() {
        return rHbLrShiftJud;
    }

    public void setrHbLrShiftJud(String rHbLrShiftJud) {
        this.rHbLrShiftJud = rHbLrShiftJud;
    }

    public String getlTi() {
        return lTi;
    }

    public void setlTi(String lTi) {
        this.lTi = lTi;
    }

    public String getlTiJud() {
        return lTiJud;
    }

    public void setlTiJud(String lTiJud) {
        this.lTiJud = lTiJud;
    }

    public String getrTi() {
        return rTi;
    }

    public void setrTi(String rTi) {
        this.rTi = rTi;
    }

    public String getrTiJud() {
        return rTiJud;
    }

    public void setrTiJud(String rTiJud) {
        this.rTiJud = rTiJud;
    }

    public String getTi() {
        return ti;
    }

    public void setTi(String ti) {
        this.ti = ti;
    }

    public String getTiJud() {
        return tiJud;
    }

    public void setTiJud(String tiJud) {
        this.tiJud = tiJud;
    }

    public String getlCamber() {
        return lCamber;
    }

    public void setlCamber(String lCamber) {
        this.lCamber = lCamber;
    }

    public String getlCamberJud() {
        return lCamberJud;
    }

    public void setlCamberJud(String lCamberJud) {
        this.lCamberJud = lCamberJud;
    }

    public String getrCamber() {
        return rCamber;
    }

    public void setrCamber(String rCamber) {
        this.rCamber = rCamber;
    }

    public String getrCamberJud() {
        return rCamberJud;
    }

    public void setrCamberJud(String rCamberJud) {
        this.rCamberJud = rCamberJud;
    }

    public String getCamber() {
        return camber;
    }

    public void setCamber(String camber) {
        this.camber = camber;
    }

    public String getCamberJud() {
        return camberJud;
    }

    public void setCamberJud(String camberJud) {
        this.camberJud = camberJud;
    }

    public String getlRwt() {
        return lRwt;
    }

    public void setlRwt(String lRwt) {
        this.lRwt = lRwt;
    }

    public String getlRwtJud() {
        return lRwtJud;
    }

    public void setlRwtJud(String lRwtJud) {
        this.lRwtJud = lRwtJud;
    }

    public String getrRwt() {
        return rRwt;
    }

    public void setrRwt(String rRwt) {
        this.rRwt = rRwt;
    }

    public String getrRwtJud() {
        return rRwtJud;
    }

    public void setrRwtJud(String rRwtJud) {
        this.rRwtJud = rRwtJud;
    }

    public String getRwt() {
        return rwt;
    }

    public void setRwt(String rwt) {
        this.rwt = rwt;
    }

    public String getRwtJud() {
        return rwtJud;
    }

    public void setRwtJud(String rwtJud) {
        this.rwtJud = rwtJud;
    }

    public String getlRwc() {
        return lRwc;
    }

    public void setlRwc(String lRwc) {
        this.lRwc = lRwc;
    }

    public String getlRwcJud() {
        return lRwcJud;
    }

    public void setlRwcJud(String lRwcJud) {
        this.lRwcJud = lRwcJud;
    }

    public String getrRwc() {
        return rRwc;
    }

    public void setrRwc(String rRwc) {
        this.rRwc = rRwc;
    }

    public String getrRwcJud() {
        return rRwcJud;
    }

    public void setrRwcJud(String rRwcJud) {
        this.rRwcJud = rRwcJud;
    }

    public String getRwc() {
        return rwc;
    }

    public void setRwc(String rwc) {
        this.rwc = rwc;
    }

    public String getRwcJud() {
        return rwcJud;
    }

    public void setRwcJud(String rwcJud) {
        this.rwcJud = rwcJud;
    }

    public String getlCaster() {
        return lCaster;
    }

    public void setlCaster(String lCaster) {
        this.lCaster = lCaster;
    }

    public String getlCasterJud() {
        return lCasterJud;
    }

    public void setlCasterJud(String lCasterJud) {
        this.lCasterJud = lCasterJud;
    }

    public String getrCaster() {
        return rCaster;
    }

    public void setrCaster(String rCaster) {
        this.rCaster = rCaster;
    }

    public String getrCasterJud() {
        return rCasterJud;
    }

    public void setrCasterJud(String rCasterJud) {
        this.rCasterJud = rCasterJud;
    }

    public String getlKi() {
        return lKi;
    }

    public void setlKi(String lKi) {
        this.lKi = lKi;
    }

    public String getlKiJud() {
        return lKiJud;
    }

    public void setlKiJud(String lKiJud) {
        this.lKiJud = lKiJud;
    }

    public String getrKi() {
        return rKi;
    }

    public void setrKi(String rKi) {
        this.rKi = rKi;
    }

    public String getrKiJud() {
        return rKiJud;
    }

    public void setrKiJud(String rKiJud) {
        this.rKiJud = rKiJud;
    }

    public String getlMaxTa() {
        return lMaxTa;
    }

    public void setlMaxTa(String lMaxTa) {
        this.lMaxTa = lMaxTa;
    }

    public String getlMaxTaJud() {
        return lMaxTaJud;
    }

    public void setlMaxTaJud(String lMaxTaJud) {
        this.lMaxTaJud = lMaxTaJud;
    }

    public String getrMaxTa() {
        return rMaxTa;
    }

    public void setrMaxTa(String rMaxTa) {
        this.rMaxTa = rMaxTa;
    }

    public String getrMaxTaJud() {
        return rMaxTaJud;
    }

    public void setrMaxTaJud(String rMaxTaJud) {
        this.rMaxTaJud = rMaxTaJud;
    }

    public String getSpeedData() {
        return speedData;
    }

    public void setSpeedData(String speedData) {
        this.speedData = speedData;
    }

    public String getSpeedDataJud() {
        return speedDataJud;
    }

    public void setSpeedDataJud(String speedDataJud) {
        this.speedDataJud = speedDataJud;
    }

    public String getSideData() {
        return sideData;
    }

    public void setSideData(String sideData) {
        this.sideData = sideData;
    }

    public String getSideDataJud() {
        return sideDataJud;
    }

    public void setSideDataJud(String sideDataJud) {
        this.sideDataJud = sideDataJud;
    }

    public String getSoundData
() {
        return soundData
;
    }

    public void setSoundData
(String soundData
) {
        this.soundData
 = soundData
;
    }

    public String getSoundDataJud() {
        return soundDataJud;
    }

    public void setSoundDataJud(String soundDataJud) {
        this.soundDataJud = soundDataJud;
    }

    public String getfLAxleLoad() {
        return fLAxleLoad;
    }

    public void setfLAxleLoad(String fLAxleLoad) {
        this.fLAxleLoad = fLAxleLoad;
    }

    public String getfRAxleLoad() {
        return fRAxleLoad;
    }

    public void setfRAxleLoad(String fRAxleLoad) {
        this.fRAxleLoad = fRAxleLoad;
    }

    public String getbLAxleLoad() {
        return bLAxleLoad;
    }

    public void setbLAxleLoad(String bLAxleLoad) {
        this.bLAxleLoad = bLAxleLoad;
    }

    public String getbRAxleLoad() {
        return bRAxleLoad;
    }

    public void setbRAxleLoad(String bRAxleLoad) {
        this.bRAxleLoad = bRAxleLoad;
    }

    public String getfLDrag() {
        return fLDrag;
    }

    public void setfLDrag(String fLDrag) {
        this.fLDrag = fLDrag;
    }

    public String getfLDragJud() {
        return fLDragJud;
    }

    public void setfLDragJud(String fLDragJud) {
        this.fLDragJud = fLDragJud;
    }

    public String getfRDrag() {
        return fRDrag;
    }

    public void setfRDrag(String fRDrag) {
        this.fRDrag = fRDrag;
    }

    public String getfRDragJud() {
        return fRDragJud;
    }

    public void setfRDragJud(String fRDragJud) {
        this.fRDragJud = fRDragJud;
    }

    public String getbLDrag() {
        return bLDrag;
    }

    public void setbLDrag(String bLDrag) {
        this.bLDrag = bLDrag;
    }

    public String getbLDragJud() {
        return bLDragJud;
    }

    public void setbLDragJud(String bLDragJud) {
        this.bLDragJud = bLDragJud;
    }

    public String getbRDrag() {
        return bRDrag;
    }

    public void setbRDrag(String bRDrag) {
        this.bRDrag = bRDrag;
    }

    public String getbRDragJud() {
        return bRDragJud;
    }

    public void setbRDragJud(String bRDragJud) {
        this.bRDragJud = bRDragJud;
    }

    public String getfLBrakeSum() {
        return fLBrakeSum;
    }

    public void setfLBrakeSum(String fLBrakeSum) {
        this.fLBrakeSum = fLBrakeSum;
    }

    public String getfRBrakeSum() {
        return fRBrakeSum;
    }

    public void setfRBrakeSum(String fRBrakeSum) {
        this.fRBrakeSum = fRBrakeSum;
    }

    public String getbLBrakeSum() {
        return bLBrakeSum;
    }

    public void setbLBrakeSum(String bLBrakeSum) {
        this.bLBrakeSum = bLBrakeSum;
    }

    public String getbRBrakeSum() {
        return bRBrakeSum;
    }

    public void setbRBrakeSum(String bRBrakeSum) {
        this.bRBrakeSum = bRBrakeSum;
    }

    public String getbRBrakeSumJud() {
        return bRBrakeSumJud;
    }

    public void setbRBrakeSumJud(String bRBrakeSumJud) {
        this.bRBrakeSumJud = bRBrakeSumJud;
    }

    public String getfLBrakeDif() {
        return fLBrakeDif;
    }

    public void setfLBrakeDif(String fLBrakeDif) {
        this.fLBrakeDif = fLBrakeDif;
    }

    public String getfLBrakeDifJud() {
        return fLBrakeDifJud;
    }

    public void setfLBrakeDifJud(String fLBrakeDifJud) {
        this.fLBrakeDifJud = fLBrakeDifJud;
    }

    public String getfRBrakeDif() {
        return fRBrakeDif;
    }

    public void setfRBrakeDif(String fRBrakeDif) {
        this.fRBrakeDif = fRBrakeDif;
    }

    public String getfRBrakeDifJud() {
        return fRBrakeDifJud;
    }

    public void setfRBrakeDifJud(String fRBrakeDifJud) {
        this.fRBrakeDifJud = fRBrakeDifJud;
    }

    public String getbLBrakeDif() {
        return bLBrakeDif;
    }

    public void setbLBrakeDif(String bLBrakeDif) {
        this.bLBrakeDif = bLBrakeDif;
    }

    public String getbLBrakeDifJud() {
        return bLBrakeDifJud;
    }

    public void setbLBrakeDifJud(String bLBrakeDifJud) {
        this.bLBrakeDifJud = bLBrakeDifJud;
    }

    public String getbRBrakeDif() {
        return bRBrakeDif;
    }

    public void setbRBrakeDif(String bRBrakeDif) {
        this.bRBrakeDif = bRBrakeDif;
    }

    public String getbRBrakeDifJud() {
        return bRBrakeDifJud;
    }

    public void setbRBrakeDifJud(String bRBrakeDifJud) {
        this.bRBrakeDifJud = bRBrakeDifJud;
    }

    public String getbLPark() {
        return bLPark;
    }

    public void setbLPark(String bLPark) {
        this.bLPark = bLPark;
    }

    public String getbLParkJud() {
        return bLParkJud;
    }

    public void setbLParkJud(String bLParkJud) {
        this.bLParkJud = bLParkJud;
    }

    public String getbRPark() {
        return bRPark;
    }

    public void setbRPark(String bRPark) {
        this.bRPark = bRPark;
    }

    public String getbRParkJud() {
        return bRParkJud;
    }

    public void setbRParkJud(String bRParkJud) {
        this.bRParkJud = bRParkJud;
    }

    public String getBrakeRating() {
        return brakeRating;
    }

    public void setBrakeRating(String brakeRating) {
        this.brakeRating = brakeRating;
    }

    public String getHeadlightRating() {
        return headlightRating;
    }

    public void setHeadlightRating(String headlightRating) {
        this.headlightRating = headlightRating;
    }

    public String getLocationRating() {
        return locationRating;
    }

    public void setLocationRating(String locationRating) {
        this.locationRating = locationRating;
    }

    public String getfAxleLoad() {
        return fAxleLoad;
    }

    public void setfAxleLoad(String fAxleLoad) {
        this.fAxleLoad = fAxleLoad;
    }

    public String getbAxleLoad() {
        return bAxleLoad;
    }

    public void setbAxleLoad(String bAxleLoad) {
        this.bAxleLoad = bAxleLoad;
    }

    public String getfAxleLBrake() {
        return fAxleLBrake;
    }

    public void setfAxleLBrake(String fAxleLBrake) {
        this.fAxleLBrake = fAxleLBrake;
    }

    public String getfAxleRBrake() {
        return fAxleRBrake;
    }

    public void setfAxleRBrake(String fAxleRBrake) {
        this.fAxleRBrake = fAxleRBrake;
    }

    public String getbAxleLBrake() {
        return bAxleLBrake;
    }

    public void setbAxleLBrake(String bAxleLBrake) {
        this.bAxleLBrake = bAxleLBrake;
    }

    public String getbAxleRBrake() {
        return bAxleRBrake;
    }

    public void setbAxleRBrake(String bAxleRBrake) {
        this.bAxleRBrake = bAxleRBrake;
    }

    public String getfAxleBrakeSum() {
        return fAxleBrakeSum;
    }

    public void setfAxleBrakeSum(String fAxleBrakeSum) {
        this.fAxleBrakeSum = fAxleBrakeSum;
    }

    public String getfAxleBrakeSumJud() {
        return fAxleBrakeSumJud;
    }

    public void setfAxleBrakeSumJud(String fAxleBrakeSumJud) {
        this.fAxleBrakeSumJud = fAxleBrakeSumJud;
    }

    public String getfAxleBrakeDif() {
        return fAxleBrakeDif;
    }

    public void setfAxleBrakeDif(String fAxleBrakeDif) {
        this.fAxleBrakeDif = fAxleBrakeDif;
    }

    public String getfAxleBrakeDifJud() {
        return fAxleBrakeDifJud;
    }

    public void setfAxleBrakeDifJud(String fAxleBrakeDifJud) {
        this.fAxleBrakeDifJud = fAxleBrakeDifJud;
    }

    public String getbAxleBrakeSum() {
        return bAxleBrakeSum;
    }

    public void setbAxleBrakeSum(String bAxleBrakeSum) {
        this.bAxleBrakeSum = bAxleBrakeSum;
    }

    public String getbAxleBrakeSumJud() {
        return bAxleBrakeSumJud;
    }

    public void setbAxleBrakeSumJud(String bAxleBrakeSumJud) {
        this.bAxleBrakeSumJud = bAxleBrakeSumJud;
    }

    public String getbAxleBrakeDif() {
        return bAxleBrakeDif;
    }

    public void setbAxleBrakeDif(String bAxleBrakeDif) {
        this.bAxleBrakeDif = bAxleBrakeDif;
    }

    public String getbAxleBrakeDifJud() {
        return bAxleBrakeDifJud;
    }

    public void setbAxleBrakeDifJud(String bAxleBrakeDifJud) {
        this.bAxleBrakeDifJud = bAxleBrakeDifJud;
    }

    public String getfAxleBlock() {
        return fAxleBlock;
    }

    public void setfAxleBlock(String fAxleBlock) {
        this.fAxleBlock = fAxleBlock;
    }

    public String getfAxleBlockJud() {
        return fAxleBlockJud;
    }

    public void setfAxleBlockJud(String fAxleBlockJud) {
        this.fAxleBlockJud = fAxleBlockJud;
    }

    public String getbAxleBlock() {
        return bAxleBlock;
    }

    public void setbAxleBlock(String bAxleBlock) {
        this.bAxleBlock = bAxleBlock;
    }

    public String getbAxleBlockJud() {
        return bAxleBlockJud;
    }

    public void setbAxleBlockJud(String bAxleBlockJud) {
        this.bAxleBlockJud = bAxleBlockJud;
    }

    public String getCarBrakeSum() {
        return carBrakeSum;
    }

    public void setCarBrakeSum(String carBrakeSum) {
        this.carBrakeSum = carBrakeSum;
    }

    public String getCarBrakeSumJud() {
        return carBrakeSumJud;
    }

    public void setCarBrakeSumJud(String carBrakeSumJud) {
        this.carBrakeSumJud = carBrakeSumJud;
    }

    public String getParkBrakeSum() {
        return parkBrakeSum;
    }

    public void setParkBrakeSum(String parkBrakeSum) {
        this.parkBrakeSum = parkBrakeSum;
    }

    public String getParkBrakeSumJud() {
        return parkBrakeSumJud;
    }

    public void setParkBrakeSumJud(String parkBrakeSumJud) {
        this.parkBrakeSumJud = parkBrakeSumJud;
    }

    public String getSpeedError() {
        return speedError;
    }

    public void setSpeedError(String speedError) {
        this.speedError = speedError;
    }

    public String getfLTi() {
        return fLTi;
    }

    public void setfLTi(String fLTi) {
        this.fLTi = fLTi;
    }

    public String getfRTi() {
        return fRTi;
    }

    public void setfRTi(String fRTi) {
        this.fRTi = fRTi;
    }

    public String getfSumTi() {
        return fSumTi;
    }

    public void setfSumTi(String fSumTi) {
        this.fSumTi = fSumTi;
    }

    public String getfRwcDif() {
        return fRwcDif;
    }

    public void setfRwcDif(String fRwcDif) {
        this.fRwcDif = fRwcDif;
    }

    public String getfRwcDifJud() {
        return fRwcDifJud;
    }

    public void setfRwcDifJud(String fRwcDifJud) {
        this.fRwcDifJud = fRwcDifJud;
    }

    public String getCasterDif() {
        return casterDif;
    }

    public void setCasterDif(String casterDif) {
        this.casterDif = casterDif;
    }

    public String getCasterDifJud() {
        return casterDifJud;
    }

    public void setCasterDifJud(String casterDifJud) {
        this.casterDifJud = casterDifJud;
    }
}