package com.catarc.traceability.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 结果判定表实体类
 * @ProjectName traceability
 * @Description:
 * @Copyright: Copyright (c) 2017
 * @author:文馨
 * @email:1329488952@qq.com
 * @date: 2017年9月13日下午13:32:08
 * @version V1.0
 */
@Table(name="T_RESULT_DECISION")
@Entity
public class ResultDecision implements Serializable{

	private static final long serialVersionUID = -6938482348194210961L;

	//车型
	@Id
	@Column(name="PK_T_RESULT_DECISION_MODEL_CAR")
	private String pkTResultDecisionModelCar;

	//侧滑判定使能
	@Column(name="SIDESLIP_DET")
	private String sideslipDet;

	//侧滑最大值
	@Column(name="SIDESLIP_MAX")
	private String sideslipMax;

	//侧滑最小值
	@Column(name="SIDESLIP_MIN")
	private String sideslipMin;

	//声级判定使能
	@Column(name="SOUND_DET")
	private String soundDet;

	//声级最大值
	@Column(name="SOUNTD_MAX")
	private String sountdMax;

	//声级最小值
	@Column(name="SOUNTD_MIN")
	private String sountdMin;

	//速度判定使能
	@Column(name="SPEED_DET")
	private String speedDet;

	//速度最大值
	@Column(name="SPEED_MAX")
	private String speedMax;

	//速度最小值
	@Column(name="SPEED_MIN")
	private String speedMin;

	//近光水平判定使能
	@Column(name="NEARLEVEL_DET")
	private String nearlevelDet;

	//近光水平最大值
	@Column(name="NEARLEVEL_MAX")
	private String nearlevelMax;

	//近光水平最小值
	@Column(name="NEARLEVEL_MIN")
	private String nearlevelMin;

	//近光垂直判定使能
	@Column(name="NEARVER_DET")
	private String nearverDet;

	//近光垂直最大值
	@Column(name="NEARVER_MAX")
	private String nearverMax;

	//近光垂直最小值
	@Column(name="NEARVER_MIN")
	private String nearverMin;

	//近光光强判定使能
	@Column(name="NEARINTE_DET")
	private String nearinteDet;

	//近光光强最大值
	@Column(name="NEARINTE_MAX")
	private String nearinteMax;

	//近光光强最小值
	@Column(name="NEARINTE_MIN")
	private String nearinteMin;

	//远光水平判定使能
	@Column(name="DISTLEVEL_DET")
	private String distlevelDet;

	//远光水平最大值
	@Column(name="DISTLEVEL_MAX")
	private String distlevelMax;

	//远光水平最小值
	@Column(name="DISTLEVEL_MIN")
	private String distlevelMin;

	//远光垂直判定使能
	@Column(name="DISTVER_DET")
	private String distverDet;

	//远光垂直最大值
	@Column(name="DISTVER_MAX")
	private String distverMax;

	//远光垂直最小值
	@Column(name="DISTVER_MIN")
	private String distverMin;

	//远光光强判定使能
	@Column(name="DISTINTE_DET")
	private String distinteDet;

	//远光光强最大值
	@Column(name="DISTINTE_MAX")
	private String distinteMax;

	//远光光强最小值
	@Column(name="DISTINTE_MIN")
	private String distinteMin;

	//前前束判定使能
	@Column(name="BEFBEAM_DET")
	private String befbeamDet;

	//前前束最大值
	@Column(name="BEFBEAM_MAX")
	private String befbeamMax;

	//前前束最小值
	@Column(name="BEFBEAM_MIN")
	private String befbeamMin;

	//总前束判定使能
	@Column(name="TOTBEAM_DET")
	private String totbeamDet;

	//总前束最大值
	@Column(name="TOTBEAM_MAX")
	private String totbeamMax;

	//总前束最小值
	@Column(name="TOTOBEAM_MIN")
	private String totobeamMin;

	//前外倾判定使能
	@Column(name="BEFOUT_DET")
	private String befoutDet;

	//前外倾最大值
	@Column(name="BEFOUT_MAX")
	private String befoutMax;

	//前外倾最小值
	@Column(name="BEFOUT_MIN")
	private String befoutMin;

	//总外倾判定使能
	@Column(name="TOTOUT_DET")
	private String totoutDet;

	//总外倾最大值
	@Column(name="TOTOUT_MAX")
	private String totoutMax;

	//总外倾最小值
	@Column(name="TOTOUT_MIN")
	private String totoutMin;

	//后倾判定使能
	@Column(name="AFTOUT_DET")
	private String aftoutDet;

	//后倾最大值
	@Column(name="AFTOUT_MAX")
	private String aftoutMax;

	//后倾最小值
	@Column(name="AFTOUT_MIN")
	private String aftoutMin;

	//后倾差判定使能
	@Column(name="AFTOUTDIF_DET")
	private String aftoutdifDet;

	//后倾差最大
	@Column(name="AFTOUTDIF_MAX")
	private String aftoutdifMax;

	//后倾差最小
	@Column(name="AFTOUTDIF_MIN")
	private String aftoutdifMin;

	//内倾判定使能
	@Column(name="IN_DET")
	private String inDet;

	//内倾最大值
	@Column(name="IN_MAX")
	private String inMax;

	//内倾最小值
	@Column(name="IN_MIN")
	private String inMin;

	//左转角判定使能
	@Column(name="LEFCOR_DET")
	private String lefcorDet;

	//左转角最大值
	@Column(name="LEFCOR_MAX")
	private String lefcorMax;

	//左转角最小值
	@Column(name="LEFCOR_MIN")
	private String lefcorMin;

	//右转角判定使能
	@Column(name="RIGCOR_DET")
	private String rigcorDet;

	//右转角最大值
	@Column(name="RIGCOR_MAX")
	private String rigcorMax;

	//右转角最小值
	@Column(name="RIGCOR_MIN")
	private String rigcorMin;

	//轮速偏差判定使能
	@Column(name="WHEDIF_DET")
	private String whedifDet;

	//轮速偏差最大值
	@Column(name="WHEDIF_MAX")
	private String whedifMax;

	//轮速偏差最小值
	@Column(name="WHEDIF_MIN")
	private String whedifMin;

	//阀泵升压判定使能
	@Column(name="PUMPUP_DET")
	private String pumpupDet;

	//阀泵升压最大值
	@Column(name="PUMPUP_MAX")
	private String pumpupMax;

	//阀泵升压最小值
	@Column(name="PUMPUP_MIN")
	private String pumpupMin;

	//阀泵减压判定使能
	@Column(name="PUMPDOW_DET")
	private String pumpdowDet;

	//阀泵减压最大值
	@Column(name="PUMPDOW_MAX")
	private String pumpdowMax;

	//阀泵减压最小值
	@Column(name="PUMPDOW_MIN")
	private String pumpdowMin;

	public String getPkTResultDecisionModelCar() {
		return pkTResultDecisionModelCar;
	}

	public void setPkTResultDecisionModelCar(String pkTResultDecisionModelCar) {
		this.pkTResultDecisionModelCar = pkTResultDecisionModelCar;
	}

	public String getSideslipDet() {
		return sideslipDet;
	}

	public void setSideslipDet(String sideslipDet) {
		this.sideslipDet = sideslipDet;
	}

	public String getSideslipMax() {
		return sideslipMax;
	}

	public void setSideslipMax(String sideslipMax) {
		this.sideslipMax = sideslipMax;
	}

	public String getSideslipMin() {
		return sideslipMin;
	}

	public void setSideslipMin(String sideslipMin) {
		this.sideslipMin = sideslipMin;
	}

	public String getSoundDet() {
		return soundDet;
	}

	public void setSoundDet(String soundDet) {
		this.soundDet = soundDet;
	}

	public String getSountdMax() {
		return sountdMax;
	}

	public void setSountdMax(String sountdMax) {
		this.sountdMax = sountdMax;
	}

	public String getSountdMin() {
		return sountdMin;
	}

	public void setSountdMin(String sountdMin) {
		this.sountdMin = sountdMin;
	}

	public String getSpeedDet() {
		return speedDet;
	}

	public void setSpeedDet(String speedDet) {
		this.speedDet = speedDet;
	}

	public String getSpeedMax() {
		return speedMax;
	}

	public void setSpeedMax(String speedMax) {
		this.speedMax = speedMax;
	}

	public String getSpeedMin() {
		return speedMin;
	}

	public void setSpeedMin(String speedMin) {
		this.speedMin = speedMin;
	}

	public String getNearlevelDet() {
		return nearlevelDet;
	}

	public void setNearlevelDet(String nearlevelDet) {
		this.nearlevelDet = nearlevelDet;
	}

	public String getNearlevelMax() {
		return nearlevelMax;
	}

	public void setNearlevelMax(String nearlevelMax) {
		this.nearlevelMax = nearlevelMax;
	}

	public String getNearlevelMin() {
		return nearlevelMin;
	}

	public void setNearlevelMin(String nearlevelMin) {
		this.nearlevelMin = nearlevelMin;
	}

	public String getNearverDet() {
		return nearverDet;
	}

	public void setNearverDet(String nearverDet) {
		this.nearverDet = nearverDet;
	}

	public String getNearverMax() {
		return nearverMax;
	}

	public void setNearverMax(String nearverMax) {
		this.nearverMax = nearverMax;
	}

	public String getNearverMin() {
		return nearverMin;
	}

	public void setNearverMin(String nearverMin) {
		this.nearverMin = nearverMin;
	}

	public String getNearinteDet() {
		return nearinteDet;
	}

	public void setNearinteDet(String nearinteDet) {
		this.nearinteDet = nearinteDet;
	}

	public String getNearinteMax() {
		return nearinteMax;
	}

	public void setNearinteMax(String nearinteMax) {
		this.nearinteMax = nearinteMax;
	}

	public String getNearinteMin() {
		return nearinteMin;
	}

	public void setNearinteMin(String nearinteMin) {
		this.nearinteMin = nearinteMin;
	}

	public String getDistlevelDet() {
		return distlevelDet;
	}

	public void setDistlevelDet(String distlevelDet) {
		this.distlevelDet = distlevelDet;
	}

	public String getDistlevelMax() {
		return distlevelMax;
	}

	public void setDistlevelMax(String distlevelMax) {
		this.distlevelMax = distlevelMax;
	}

	public String getDistlevelMin() {
		return distlevelMin;
	}

	public void setDistlevelMin(String distlevelMin) {
		this.distlevelMin = distlevelMin;
	}

	public String getDistverDet() {
		return distverDet;
	}

	public void setDistverDet(String distverDet) {
		this.distverDet = distverDet;
	}

	public String getDistverMax() {
		return distverMax;
	}

	public void setDistverMax(String distverMax) {
		this.distverMax = distverMax;
	}

	public String getDistverMin() {
		return distverMin;
	}

	public void setDistverMin(String distverMin) {
		this.distverMin = distverMin;
	}

	public String getDistinteDet() {
		return distinteDet;
	}

	public void setDistinteDet(String distinteDet) {
		this.distinteDet = distinteDet;
	}

	public String getDistinteMax() {
		return distinteMax;
	}

	public void setDistinteMax(String distinteMax) {
		this.distinteMax = distinteMax;
	}

	public String getDistinteMin() {
		return distinteMin;
	}

	public void setDistinteMin(String distinteMin) {
		this.distinteMin = distinteMin;
	}

	public String getBefbeamDet() {
		return befbeamDet;
	}

	public void setBefbeamDet(String befbeamDet) {
		this.befbeamDet = befbeamDet;
	}

	public String getBefbeamMax() {
		return befbeamMax;
	}

	public void setBefbeamMax(String befbeamMax) {
		this.befbeamMax = befbeamMax;
	}

	public String getBefbeamMin() {
		return befbeamMin;
	}

	public void setBefbeamMin(String befbeamMin) {
		this.befbeamMin = befbeamMin;
	}

	public String getTotbeamDet() {
		return totbeamDet;
	}

	public void setTotbeamDet(String totbeamDet) {
		this.totbeamDet = totbeamDet;
	}

	public String getTotbeamMax() {
		return totbeamMax;
	}

	public void setTotbeamMax(String totbeamMax) {
		this.totbeamMax = totbeamMax;
	}

	public String getTotobeamMin() {
		return totobeamMin;
	}

	public void setTotobeamMin(String totobeamMin) {
		this.totobeamMin = totobeamMin;
	}

	public String getBefoutDet() {
		return befoutDet;
	}

	public void setBefoutDet(String befoutDet) {
		this.befoutDet = befoutDet;
	}

	public String getBefoutMax() {
		return befoutMax;
	}

	public void setBefoutMax(String befoutMax) {
		this.befoutMax = befoutMax;
	}

	public String getBefoutMin() {
		return befoutMin;
	}

	public void setBefoutMin(String befoutMin) {
		this.befoutMin = befoutMin;
	}

	public String getTotoutDet() {
		return totoutDet;
	}

	public void setTotoutDet(String totoutDet) {
		this.totoutDet = totoutDet;
	}

	public String getTotoutMax() {
		return totoutMax;
	}

	public void setTotoutMax(String totoutMax) {
		this.totoutMax = totoutMax;
	}

	public String getTotoutMin() {
		return totoutMin;
	}

	public void setTotoutMin(String totoutMin) {
		this.totoutMin = totoutMin;
	}

	public String getAftoutDet() {
		return aftoutDet;
	}

	public void setAftoutDet(String aftoutDet) {
		this.aftoutDet = aftoutDet;
	}

	public String getAftoutMax() {
		return aftoutMax;
	}

	public void setAftoutMax(String aftoutMax) {
		this.aftoutMax = aftoutMax;
	}

	public String getAftoutMin() {
		return aftoutMin;
	}

	public void setAftoutMin(String aftoutMin) {
		this.aftoutMin = aftoutMin;
	}

	public String getAftoutdifDet() {
		return aftoutdifDet;
	}

	public void setAftoutdifDet(String aftoutdifDet) {
		this.aftoutdifDet = aftoutdifDet;
	}

	public String getAftoutdifMax() {
		return aftoutdifMax;
	}

	public void setAftoutdifMax(String aftoutdifMax) {
		this.aftoutdifMax = aftoutdifMax;
	}

	public String getAftoutdifMin() {
		return aftoutdifMin;
	}

	public void setAftoutdifMin(String aftoutdifMin) {
		this.aftoutdifMin = aftoutdifMin;
	}

	public String getInDet() {
		return inDet;
	}

	public void setInDet(String inDet) {
		this.inDet = inDet;
	}

	public String getInMax() {
		return inMax;
	}

	public void setInMax(String inMax) {
		this.inMax = inMax;
	}

	public String getInMin() {
		return inMin;
	}

	public void setInMin(String inMin) {
		this.inMin = inMin;
	}

	public String getLefcorDet() {
		return lefcorDet;
	}

	public void setLefcorDet(String lefcorDet) {
		this.lefcorDet = lefcorDet;
	}

	public String getLefcorMax() {
		return lefcorMax;
	}

	public void setLefcorMax(String lefcorMax) {
		this.lefcorMax = lefcorMax;
	}

	public String getLefcorMin() {
		return lefcorMin;
	}

	public void setLefcorMin(String lefcorMin) {
		this.lefcorMin = lefcorMin;
	}

	public String getRigcorDet() {
		return rigcorDet;
	}

	public void setRigcorDet(String rigcorDet) {
		this.rigcorDet = rigcorDet;
	}

	public String getRigcorMax() {
		return rigcorMax;
	}

	public void setRigcorMax(String rigcorMax) {
		this.rigcorMax = rigcorMax;
	}

	public String getRigcorMin() {
		return rigcorMin;
	}

	public void setRigcorMin(String rigcorMin) {
		this.rigcorMin = rigcorMin;
	}

	public String getWhedifDet() {
		return whedifDet;
	}

	public void setWhedifDet(String whedifDet) {
		this.whedifDet = whedifDet;
	}

	public String getWhedifMax() {
		return whedifMax;
	}

	public void setWhedifMax(String whedifMax) {
		this.whedifMax = whedifMax;
	}

	public String getWhedifMin() {
		return whedifMin;
	}

	public void setWhedifMin(String whedifMin) {
		this.whedifMin = whedifMin;
	}

	public String getPumpupDet() {
		return pumpupDet;
	}

	public void setPumpupDet(String pumpupDet) {
		this.pumpupDet = pumpupDet;
	}

	public String getPumpupMax() {
		return pumpupMax;
	}

	public void setPumpupMax(String pumpupMax) {
		this.pumpupMax = pumpupMax;
	}

	public String getPumpupMin() {
		return pumpupMin;
	}

	public void setPumpupMin(String pumpupMin) {
		this.pumpupMin = pumpupMin;
	}

	public String getPumpdowDet() {
		return pumpdowDet;
	}

	public void setPumpdowDet(String pumpdowDet) {
		this.pumpdowDet = pumpdowDet;
	}

	public String getPumpdowMax() {
		return pumpdowMax;
	}

	public void setPumpdowMax(String pumpdowMax) {
		this.pumpdowMax = pumpdowMax;
	}

	public String getPumpdowMin() {
		return pumpdowMin;
	}

	public void setPumpdowMin(String pumpdowMin) {
		this.pumpdowMin = pumpdowMin;
	}
}
