package com.catarc.traceability.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 入库管理实体类
 * @ProjectName:traceability
 * @ClassName:Storage.java
 * @Description: 请务必自行补充代码核心描述
 * @Copyright: Copyright (c) 2017
 * @author: shiyongzhi
 * @email: 827871781@qq.com 
 * @date Aug 28, 2017 8:42:14 AM
 * @version V1.0
 */
@Table(name="T_STO")
@Entity
public class Storage implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 44614587703100877L;
	/*
	 * 入库单号
	 */
	@Id
	@Column(name="PK_T_STO_ID")
    private String id;
	/*
	 * 供应商
	 */
	@Column(name="SUP")
    private String storageSupplier;
	
	/*
	 * 入库时间
	 */
	@Column(name="STO_TIME")
    private Date storageTime;

	/*
	 * 负责科室
	 */
	@Column(name="DEPART")
    private String storageDepartment;

	/*
	 * 负责人员
	 */
	@Column(name="PERSON")
    private String storagePersonnel;

	/*
	 * 创建时间
	 */
	@Column(name="CREATE_TIME")
    private Date createTime;
	
	/*
	 * 修改时间
	 */
	@Column(name="UPDATE_TIME")
    private Date updateTime;

	/*
	 * 删除标识
	 */
	@Column(name="DEL_FLAG")
    private Integer delFlag;

	/*
	 * 关键件名称
	 */
	@Column(name="KEYPART_NAME")
	private String keypartName;
	
	/**
	 * 分页参数
	 */
	private Integer page;
	/**
	 * 分页
	 */
	private Integer limit;
	
	private String startTime;
	
	private String endTime;
	
	
    public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getKeypartName() {
		return keypartName;
	}

	public void setKeypartName(String keypartName) {
		this.keypartName = keypartName;
	}


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getStorageSupplier() {
        return storageSupplier;
    }

    public void setStorageSupplier(String storageSupplier) {
        this.storageSupplier = storageSupplier;
    }

    public Date getStorageTime() {
        return storageTime;
    }

    public void setStorageTime(Date storageTime) {
        this.storageTime = storageTime;
    }

    public String getStorageDepartment() {
        return storageDepartment;
    }

    public void setStorageDepartment(String storageDepartment) {
        this.storageDepartment = storageDepartment;
    }

    public String getStoragePersonnel() {
        return storagePersonnel;
    }

    public void setStoragePersonnel(String storagePersonnel) {
        this.storagePersonnel = storagePersonnel;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}