package com.catarc.traceability.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 入库管理关联实体类
 * @ProjectName:traceability
 * @ClassName:StorageElements.java
 * @Description: 请务必自行补充代码核心描述
 * @Copyright: Copyright (c) 2017
 * @author: shiyongzhi
 * @email: 827871781@qq.com 
 * @date Aug 31, 2017 3:47:35 PM
 * @version V1.0
 */
@Table(name="T_STO_ELEM")
@Entity
public class StorageElements implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 4018250062899465433L;
	/*
	 * 零件号（主键）
	 */
	@Id
	@Column(name="PK_T_STOELEM_ID")
    private String id;
	/*
	 * 入库单号
	 */
	@Column(name="STO_ID")
    private String storageId;

	/*
	 * 零件全称
	 */
	@Column(name="ELEM_NAM")
    private String elementsName;

	/*
	 * 批次号
	 */
	@Column(name="ELEM_BATID")
    private String elementsBatchid;

	/*
	 * 采购单号
	 */
	@Column(name="ELEM_PURID")
    private String elementsPurchaseid;

	/*
	 * 数量
	 */
	@Column(name="ELEM_COU")
    private String elementsCount;

	/*
	 * 导入来源
	 */
	@Column(name="ELEM_IMP")
    private String elementsImport;

	/*
	 * 操作人
	 */
	@Column(name="ELEM_OPR")
    private String elementsOpearter;

	/*
	 * 创建时间
	 */
	@Column(name="CTIME")
    private Date createTime;

	/*
	 * 修改时间
	 */
	@Column(name="UTIME")
    private Date updateTime;

	/*
	 * 删除标识（默认 0）
	 */
	@Column(name="DELFLAG")
    private Integer delFlag;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getStorageId() {
        return storageId;
    }

    public void setStorageId(String storageId) {
        this.storageId = storageId;
    }

    public String getElementsName() {
        return elementsName;
    }

    public void setElementsName(String elementsName) {
        this.elementsName = elementsName;
    }

    public String getElementsBatchid() {
        return elementsBatchid;
    }

    public void setElementsBatchid(String elementsBatchid) {
        this.elementsBatchid = elementsBatchid;
    }

    public String getElementsPurchaseid() {
        return elementsPurchaseid;
    }

    public void setElementsPurchaseid(String elementsPurchaseid) {
        this.elementsPurchaseid = elementsPurchaseid;
    }

    public String getElementsCount() {
        return elementsCount;
    }

    public void setElementsCount(String elementsCount) {
        this.elementsCount = elementsCount;
    }

    public String getElementsImport() {
        return elementsImport;
    }

    public void setElementsImport(String elementsImport) {
        this.elementsImport = elementsImport;
    }

    public String getElementsOpearter() {
        return elementsOpearter;
    }

    public void setElementsOpearter(String elementsOpearter) {
        this.elementsOpearter = elementsOpearter;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}