package com.catarc.traceability.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

@Table(name = "T_USER")
@Entity
public class User implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 2625791287153128743L;
	
	
	
	/**
	 * 主键
	 */
	@Id
    @Column(name = "PK_T_USER_ID")
    private String id;
    /**
	 * 用户名
	 */
    @Column(name = "USERNAME")
    private String userName;
  
	/**
	 * 密码
	 */
    @Column(name = "USERPWD")
    private String userPwd;
    /**
	 * 用户状态
	 */
    @Column(name = "STATUS")
    private String status;
    /**
	 * 最后登录时间
	 */
    @Column(name = "LAST_LOGIN_TIME")
    private Date lastLoginTime;
    /**
	 * 用户创建时间
	 */
    @Column(name = "CREATE_TIME")
    private Date createTime;
    /**
	 * 用户更新时间
	 */
    @Column(name = "UPDATE_TIME")
    private Date updateTime;
    /**
	 * 删除标识
	 */
    @Column(name = "DEL_FLAG")
    private Integer delFlag;
    /**
     * 姓名
     */
    @Column(name = "REALNAME")
    private String realName;
    /**
     * 过期时间
     */
    @Column(name ="OUTDATE")
    private Date outDate;
   
	@Transient
    private String pkId;
    @Transient
    private String roleId;
    @Transient
    private String idCode;
    @Transient
    private String originPwd;
    //新用户密码
    @Transient
    private String firstpwd;
    /**
	 * 分页参数
	 */
    @Transient
	private Integer page;
	/**
	 * 分页
	 */
    @Transient
	private Integer limit;
    
    
    
    
    
    
    public String getFirstpwd() {
		return firstpwd;
	}

	public void setFirstpwd(String firstpwd) {
		this.firstpwd = firstpwd;
	}

	public Date getOutDate() {
		return outDate;
	}

	public void setOutDate(Date outDate) {
		this.outDate = outDate;
	}
    
    
    public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public String getOriginPwd() {
		return originPwd;
	}

	public void setOriginPwd(String originPwd) {
		this.originPwd = originPwd;
	}

	public String getIdCode() {
		return idCode;
	}

	public void setIdCode(String idCode) {
		this.idCode = idCode;
	}

	public String getRoleId() {
		return roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}

	/**
     * 连续登录次数
     */
    @Column(name="LOGINTIMES")
    private Integer loginTimes;
    
	public String getPkId() {
		return pkId;
	}

	public void setPkId(String pkId) {
		this.pkId = pkId;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getUserPwd() {
		return userPwd;
	}

	public void setUserPwd(String userPwd) {
		this.userPwd = userPwd;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public Date getLastLoginTime() {
		return lastLoginTime;
	}

	public void setLastLoginTime(Date lastLoginTime) {
		this.lastLoginTime = lastLoginTime;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}
	public Integer getLoginTimes() {
		return loginTimes;
	}

	public void setLoginTimes(Integer loginTimes) {
		this.loginTimes = loginTimes;
	}
    
    
}
